Index: /release-kits/lirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-components.xml	(revision 17813)
+++ /release-kits/lirk3/ant-scripts/create-components.xml	(revision 17814)
@@ -150,16 +150,4 @@
 	</target>
 
-
-	<!-- sourcecode-release -->
-	<target name="prepare-source-release">
-		<delete dir="components/tmp/source-release"/>
-		<mkdir dir="components/tmp/source-release"/>
-
-		<copy todir="components/tmp/source-release" overwrite="true">
-			<fileset dir="distribution/source"/>
-		</copy>
-		<zip destfile="components/source-release.comp" basedir="components/tmp/source-release" compress="false"/>
-	</target>
-	
 	<target name="compress-source-release">
 		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
Index: /release-kits/lirk3/installer/build.xml
===================================================================
--- /release-kits/lirk3/installer/build.xml	(revision 17813)
+++ /release-kits/lirk3/installer/build.xml	(revision 17814)
@@ -64,4 +64,7 @@
 		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
 		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
 
 		<echo>Creating installation properties file</echo>
@@ -132,4 +135,13 @@
 		<delete file="source-release.comp"/>
 
+		<echo>Setting Binaries to Executable</echo>
+		<chmod dir="${installDir}" includes="*.sh,**/configure" perm="775"/>
+		<chmod dir="${installDir}/bin/script" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/linux" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/script" includes="**/*" perm="775"/>
+		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
+		<echo/>
+
 		<echo>Setting up global properties</echo>
 		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
@@ -142,4 +154,7 @@
 		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
 
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
+
 		<echo>Creating installation properties file</echo>
 		<echo file="${installDir}/installation.properties">#this file is just a placeholder for now</echo>
Index: /release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-components.xml	(revision 17813)
+++ /release-kits/mark2/ant-scripts/create-components.xml	(revision 17814)
@@ -16,5 +16,7 @@
 		<antcall target="prepare-ghostscript-component" />
 
-		<!--<antcall target="prepare-sourcecode-component" />-->
+		<antcall target="prepare-sourcecode-component" />
+
+		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -25,4 +27,6 @@
 
 		<!--<antcall target="compress-sourcecode-component" />-->
+
+		<antcall target="compress-source-release" />
 	</target>
 
@@ -129,3 +133,8 @@
 	</target>
 
+	<target name="compress-source-release">
+		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
+	</target>
+
+
 </project>
Index: /release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17813)
+++ /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17814)
@@ -10,4 +10,7 @@
 		<antcall target="tweak-files" />
 		<antcall target="remove-unneeded-files-1" />
+
+		<antcall target="copy-web-to-source" /> <!-- from init -->
+
 		<antcall target="drop-in-binaries" />
 		<antcall target="drop-in-demo-collection" />
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17813)
+++ /release-kits/mark2/installer/build.xml	(revision 17814)
@@ -74,4 +74,7 @@
 		<delete file="${installDir}/resources/*.png"/>
 
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/etc/usage.txt"></echo>
+
 		<echo>Creating installation properties file</echo>
 		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
Index: /release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-components.xml	(revision 17813)
+++ /release-kits/mark3/ant-scripts/create-components.xml	(revision 17814)
@@ -18,5 +18,7 @@
 		<antcall target="prepare-ghostscript-component" />
 
-		<!--<antcall target="prepare-sourcecode-component" />-->
+		<antcall target="prepare-sourcecode-component" />
+
+		<antcall target="prepare-source-release" />
 	</target>
 
@@ -29,4 +31,6 @@
 
 		<!--<antcall target="compress-sourcecode-component" />-->
+
+		<antcall target="compress-source-release" />
 	</target>
 
@@ -173,3 +177,7 @@
 	</target>
 
+	<target name="compress-source-release">
+		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
+	</target>
+
 </project>
Index: /release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17813)
+++ /release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17814)
@@ -9,4 +9,6 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distribution/greenstone3/gli"/></antcall>
 		<antcall target="insert-user-manual"/>
+
+		<antcall target="copy-web-to-source-greenstone3" /> <!-- from gs3-targets -->
 
 		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
Index: /release-kits/mark3/installer/build.xml
===================================================================
--- /release-kits/mark3/installer/build.xml	(revision 17813)
+++ /release-kits/mark3/installer/build.xml	(revision 17814)
@@ -59,4 +59,7 @@
 		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
 		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
 
 		<echo>Creating installation properties file</echo>
Index: /release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-components.xml	(revision 17813)
+++ /release-kits/wirk2/ant-scripts/create-components.xml	(revision 17814)
@@ -15,5 +15,8 @@
 		<antcall target="prepare-imagemagick-component" />
 		<antcall target="prepare-ghostscript-component" />
-		<!--<antcall target="prepare-sourcecode-component" />-->
+
+		<antcall target="prepare-sourcecode-component" />
+
+		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -22,5 +25,9 @@
 		<antcall target="compress-imagemagick-component" />
 		<antcall target="compress-ghostscript-component" />
+
 		<!--<antcall target="compress-sourcecode-component" />-->
+
+		<antcall target="compress-source-release" />
+
 	</target>
 	
@@ -123,3 +130,8 @@
 	</target>
 
+	<target name="compress-source-release">
+		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 source-release.lzma source-release.comp"/></exec>
+	</target>
+
+
 </project>
Index: /release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17813)
+++ /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17814)
@@ -10,4 +10,6 @@
 		<antcall target="tweak-files" />
 		<antcall target="remove-unneeded-files-1" />
+
+		<antcall target="copy-web-to-source" /> <!-- from init -->
 
 		<antcall target="drop-in-binaries" />
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 17813)
+++ /release-kits/wirk2/installer/build.xml	(revision 17814)
@@ -99,4 +99,7 @@
 		</rsr>
 		<rsr file="${installDir}/gsdlsite.cfg" pattern="@gsdlhome@" replacement="${installDir}"/>
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/etc/usage.txt"></echo>
 				
 		<echo message="Creating installation properties file"/>
@@ -138,4 +141,5 @@
 			iconFile="${installDir}\images\icon.ico"
 			iconIndex="0" />
+
 		<shortcut
 			file="${startmenu.path}\Greenstone Librarian Interface (GLI).lnk"
@@ -144,4 +148,5 @@
 			iconFile="${installDir}\images\icon.ico"
 			iconIndex="0" />
+
 		<shortcut
 			file="${startmenu.path}\Greenstone Editor for Metadata Sets (GEMS).lnk"
@@ -150,4 +155,5 @@
 			iconFile="${installDir}\images\icon.ico"
 			iconIndex="0" />
+
 		<shortcut
 			file="${startmenu.path}\Uninstall.lnk"
@@ -156,19 +162,25 @@
 			iconFile="${installDir}\images\icon.ico"
 			iconIndex="0" />
+
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEen.lnk"
 			execute="${installDir}\READMEen.txt" />
+
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEes.lnk"
 			execute="${installDir}\READMEes.txt" />
+
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEar.lnk"
 			execute="${installDir}\READMEar.txt" />
+
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEfr.lnk"
 			execute="${installDir}\READMEfr.txt" />
+
 		<shortcut
 			file="${startmenu.path}\Documentation\READMEru.lnk"
 			execute="${installDir}\READMEru.txt" />
+
 	</target>
 
Index: /release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17813)
+++ /release-kits/wirk3/ant-scripts/create-components.xml	(revision 17814)
@@ -17,5 +17,8 @@
 		<antcall target="prepare-ant-component" />
 		<antcall target="prepare-tomcat-component" />
-		<!--<antcall target="prepare-sourcecode-component" />-->
+
+		<antcall target="prepare-sourcecode-component" />
+
+		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -26,5 +29,9 @@
 		<antcall target="compress-ant-component" />
 		<antcall target="compress-tomcat-component" />
+
 		<!--<antcall target="compress-sourcecode-component" />-->
+
+		<antcall target="compress-source-release" />
+
 	</target>
 	
@@ -165,4 +172,8 @@
 		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 tomcat.lzma tomcat.comp"/></exec>
 	</target>	
+
+	<target name="compress-source-release">
+		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 source-release.lzma source-release.comp"/></exec>
+	</target>
 	
 </project>
Index: /release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17813)
+++ /release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17814)
@@ -9,4 +9,6 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distribution/greenstone3/gli" /></antcall>
 		<antcall target="insert-user-manual"/>
+
+		<antcall target="copy-web-to-source-greenstone3" /> <!-- from gs3-targets -->
 
 		<ant target="create-distribution-1" antfile="${wirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 17813)
+++ /release-kits/wirk3/installer/build.xml	(revision 17814)
@@ -101,4 +101,7 @@
 		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="@gsdl3home@" replacement="${installDir.unix}/web"/>
 
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
+
 		<echo message="Creating installation properties file"/>
 		<echo file="${installDir}\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>