Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 17814)
+++ /release-kits/mark2/installer/build.xml	(revision 17815)
@@ -107,4 +107,43 @@
 
 
+	<target name="Source Release" depends="">
+
+		<!-- create the installation directory -->
+		<echo message="Creating Installation directory"/>
+		<mkdir dir="${installDir}"/>
+
+		<echo>Installing Source Release</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/source-release.lzma" output="${basedir}/source-release.comp"/>
+		<delete file="source-release.lzma"/>
+		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
+		<delete file="source-release.comp"/>
+
+		<echo message="Setting Binaries to Executable"/>
+		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
+		<chmod dir="${installDir}/bin/darwin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/cgi-bin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin/script" includes="**/*" perm="775"/>
+		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
+		<echo/>
+
+		<echo message="Filling in concrete values in config files"/>
+		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
+		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
+		<echo/>
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/etc/usage.txt"></echo>
+
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/etc/installation.properties">#this file is just a placeholder for now</echo>
+
+		<echo message="Finished"/>
+
+	</target>
+
+
 
 </project>
Index: /release-kits/mark3/installer/build.xml
===================================================================
--- /release-kits/mark3/installer/build.xml	(revision 17814)
+++ /release-kits/mark3/installer/build.xml	(revision 17815)
@@ -134,4 +134,49 @@
         </target>
 
+	<target name="Source Release" depends="">
+
+		<!-- create the installation directory -->
+		<echo message="Creating Installation directory"/>
+		<mkdir dir="${installDir}"/>
+
+		<echo>Installing Source Release</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
+		<sevenzip task="decode" input="${basedir}/source-release.lzma" output="${basedir}/source-release.comp"/>
+		<delete file="source-release.lzma"/>
+		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
+		<delete file="source-release.comp"/>
+
+		<echo message="Setting Binaries to Executable"/>
+		<chmod dir="${installDir}" includes="*.sh" perm="775"/>
+		<chmod dir="${installDir}/bin/script" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/darwin" includes="*" perm="775"/>
+		<chmod dir="${installDir}/gs2build/bin/script" includes="**/*" perm="775"/>
+		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
+		<echo/>
+
+		<!-- set up global properties -->
+		<echo message="Setting up global properties"/>
+		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@tomcat.server@(.*)" replacement="$1localhost$2" />
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@tomcat.port@(.*)" replacement="$1${tomcat.port}$2" />
+
+		<!-- set up log4j properties-->
+		<echo message="Setting up log4j properties"/>
+		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
+
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}/installation.properties">#this file is just a placeholder for now</echo>
+
+		<echo message="Finished"/>
+
+	</target>
+
+
 
 </project>
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 17814)
+++ /release-kits/wirk2/installer/build.xml	(revision 17815)
@@ -185,3 +185,46 @@
 	</target>
 
+	<target name="Source Release" depends="">
+
+		<!-- create the installation directory -->
+		<echo message="Creating Installation directory"/>
+		<mkdir dir="${installDir}"/>
+
+		<!-- extract 7za tool -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
+
+		<echo>Installing Source Release</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x source-release.lzma"/></exec>
+		<delete file="source-release.lzma"/>
+		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
+		<delete file="source-release.comp"/>
+
+		<!-- figure out the start menu path -->
+		<getfreepath path="${win32.personal.programs_menu}\Greenstone-@version@" property="startmenu.path"/>		
+		<path id="startmenu.path.path" path="${startmenu.path}"/>
+		<pathconvert targetos="unix" property="startmenu.path.unix" refid="startmenu.path.path"/>
+
+		<echo message="Filling in concrete values in config files"/>
+		<rsr file="${installDir}/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
+			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+			<job pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
+			<job pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
+		</rsr>
+		<rsr file="${installDir}/gsdlsite.cfg" pattern="@gsdlhome@" replacement="${installDir}"/>
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/etc/usage.txt"></echo>
+				
+		<echo message="Creating installation properties file"/>
+		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+		
+		<echo message="Finished"/>
+		
+	</target>
+
+
 </project>
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 17814)
+++ /release-kits/wirk3/installer/build.xml	(revision 17815)
@@ -198,4 +198,50 @@
 		
 	</target>
+
+	<target name="Source Release" depends="">
+
+		<!-- create the installation directory -->
+		<echo message="Creating Installation directory"/>
+		<mkdir dir="${installDir}"/>
+
+		<!-- extract 7za tool -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
+
+		<echo>Installing Source Release</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x source-release.lzma"/></exec>
+		<delete file="source-release.lzma"/>
+		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
+		<delete file="source-release.comp"/>
+
+		<!-- set gsdlhome in gs2build setup.bat -->
+		<echo message="Setting %GSDLHOME% in gs2build\setup.bat"/>
+		<rsr file="${installDir}/gs2build/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir.local}\gs2build" />
+
+		<!-- set up global properties -->
+		<echo message="Setting up global properties"/>
+		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties">
+			<job pattern="@gsdl3home@" replacement="${installDir.unix}/web" />
+			<job pattern="@tomcat.server@" replacement="${tomcat.server}" />
+			<job pattern="@tomcat.port@" replacement="${tomcat.port}" />
+		</rsr>
+
+		<!-- set up log4j properties-->
+		<echo message="Setting up log4j properties"/>
+		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="@gsdl3home@" replacement="${installDir.unix}/web"/>
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
+
+		<echo message="Creating installation properties file"/>
+		<echo file="${installDir}\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+		
+	</target>
+
+
 	
 </project>