Index: release-kits/shared/language-strings/LanguagePack_zh.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_zh.properties	(revision 17841)
+++ release-kits/shared/language-strings/LanguagePack_zh.properties	(revision 17841)
@@ -0,0 +1,263 @@
+### Language page ###
+page.language-selector.displayText = è¯­èš
+language-selector-explanation.displayText = è¯·éæ©è¯­èšïŒæ³šïŒæ¬å®è£
+åšå°æªè¢«ç¿»è¯æææè¯­ç§ïŒ
+
+
+### Intro Page ###
+page.intro.displayText = Greenstone @version@ å®è£
+åš
+welcome-message.displayText = Greenstone@version.major@æ¯çšäºæé åå
+±äº«æ°å­åŸä¹ŠéŠçèœ¯ä»¶ã\n\nå»ºè®®åšè¿è¡æ¬å®è£
+åšä»¥ååžèœœææå·²å®è£
+çGreenstoneçæ¬ã
+
+## License page ###
+page.license.displayText = èœ¯ä»¶è®žå¯
+
+
+### Destination page ###
+page.destination.displayText = å®è£
+ç®åœ
+installDir.displayText = éæ©å®è£
+ç®åœ
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText = æ£æµå°æ©æå®è£
+çæ¬
+is-install-detected.displayText = åšå®è£
+ç®åœäž­æ£æµå°äžäžªçæ¬äœäº2.81çGreenstone2ïŒæäžäžªçæ¬äœäº3.04çGreenstone3å®è£
+ãåšæéå®çç®åœäž­æ æ³è¿è¡å®è£
+ã\n\nè¯·éåºæ¬å®è£
+åšïŒåžèœœå·²å­åšçGreenstoneå®è£
+ïŒç¶åéæ°è¿è¡æ¬å®è£
+åšïŒæšèïŒãæè
+ïŒéåå°å®è£
+çäžäžæ­¥å¹¶éæ©å
+¶å®çå®è£
+ç®åœã
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText = å®è£
+éšä»¶
+choose-components.displayText = è¯·éæ©æèŠå®è£
+çéšä»¶
+
+Looking_For_Previous_Installation.displayText = æ¥æŸæ©æå®è£
+
+Looking_For_Previous_Installation.explanatoryText = åŠæåç°æ©æå®è£
+ïŒèœœå
+¥å·²å®è£
+çæ¬çå±æ§ã
+
+Installing_Core_System.displayText = æ žå¿ç³»ç»
+Installing_Core_System.explanatoryText = \
+<html> \
+è¯¥éšä»¶æ¯Greenstone@version.major@çæ žå¿ç³»ç»ãä¹å¿
+å®è£
+éšä»¶ã\
+</html>
+
+Installing_Source_Code_Core.displayText = æ žå¿æºä»£ç 
+Installing_Source_Code_Core.explanatoryText = \
+<html> \
+Greenstone@version.major@ä»£ç ååžçæ žå¿ç³»ç»ã<br>\n
+å
+æ¬äžæºä»£ç æç»çæ¯ææä»¶ã\
+</html>
+
+Installing_Source_Code.displayText = æºä»£ç 
+Installing_Source_Code.explanatoryText = \
+<html> \
+è¥éèªå·±çŒè¯Greenstone@version.major@ïŒ<br>\n
+å¯å¯¹äœ èªå·±çGreenstone@version.major@è¿è¡ä¿®æ¹ïŒ<br>\näœ ä¹å¯ä»
+ä»
+æ¢ç©¶Greenstoneæ¯åŠäœå·¥äœçã\
+</html>
+
+Installing_ImageMagick.displayText = æ¯æJPEG2000çImageMagick (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText = \
+<html> \
+Greenstoneäœ¿çšImageMagickå€çåŸåã<br>\n
+ææç»çImageMagickå¯æ¯æJPEG2000åŸåã<br>\
+åŠæäœ çè®¡ç®æºå·²å®è£
+ImageMagickïŒ<br>\
+æè
+äœ äžæ³åšäœ çGreenstoneæ¶éäž­å å
+¥åŸåæä»¶ïŒ<br>\
+å¯éæ©äžå®è£
+ImageMagickã \
+</html>
+
+Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText = \
+<html> \
+Greenstoneäœ¿çšGhostScriptå€çPDFåPostScriptæä»¶ã<br> \
+åŠæäœ çè®¡ç®æºå·²å®è£
+GhostscriptïŒ<br>\
+æè
+äœ äžæ³åšäœ çGreenstoneæ¶éäž­å å
+¥PDFåPostScriptæä»¶ïŒ<br>\
+å¯éæ©äžå®è£
+Ghostscript. \
+</html>
+
+Installing_Start_Menu_Shortcuts.displayText = åŒå§èåå¿«æ·é®
+Installing_Start_Menu_Shortcuts.explanatoryText = åå»ºGreenstone@version.major@åŒå§èåå¿«æ·é®
+
+Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText = \
+<html> \
+Greenstone3èŠæ±å®è£
+Apache Tomcatçœç»äŒºæåšæ¥äŒºæäœ ççœç»æ°å­åŸä¹ŠéŠã<br> \
+åŠæäœ çè®¡ç®æºå·²å®è£
+äºTomcatïŒäœ å¯äœ¿çšèªå·±çå®è£
+ïŒéäœé
+çœ®ïŒïŒ<br> \
+å³ïŒæ é¡»å®è£
+æ¬éšä»¶ä¹å¯æ­£åžžè¿è¡ã\
+</html>
+
+Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText = \
+<html> \
+Greenstone3èŠæ±å®è£
+Apache Antæ¥å¯åšåç»æ­¢Tomcatçœç»äŒºæåšïŒ<br> \
+éçŒè¯æºä»£ç ïŒä»¥åè¿è¡äžäºç»Žæ€å·¥äœãåŠæäœ çè®¡ç®æºå·²å®è£
+äºAntïŒ<br> \
+å¯éæ©äžå®è£
+æ¬éšä»¶ã\
+</html>
+
+### Admin password page
+page.admin-password.displayText = è¯·è®Ÿå®ç®¡çåå¯ç 
+admin.password.displayText = ç®¡çåå¯ç 
+admin-password-expl.displayText = è®¿é®Greenstoneçé¢çäžäºç¹å®éšåéèŠèŸå
+¥å¯ç ãäœ¿çšææäŸçå¯ç ïŒäžäžªçšæ·åäžº'admin'ççšæ·äŒè¢«èªåšåå»ºãå¯ç é¿åºŠå¿
+é¡»æ¯3è³8äœã
+
+### Tomcat config page
+page.tomcat-config.displayText = Apache Tomcaté
+çœ®
+tomcat-config-explanation1.displayText = Greenstone3äœ¿çšApache Tomcatå
+±äº«äœ çæ°å­åŸä¹ŠéŠã
+tomcat-config-explanation2.displayText = Tomcatå¯åšè¿éé
+çœ®ïŒä¹å¯éè¿ä¿®æ¹äž»ç®åœäž­çæä»¶build.properties(${installDir})ã
+tomcat.server.displayText = TomcatäŒºæåš
+tomcat-server.explanatoryText = è¯·èŸå
+¥äŒºæäœ çæ°å­åŸä¹ŠéŠçäž»æºçåå­ãåŠæäžç¥éïŒæ¥åé»è®€åŒ(localhost)ã
+tomcat.port.explanatoryText = è¯·èŸå
+¥Tomcatäœ¿çšçç«¯å£ãå®å
+šçåæ³æ¯æ¥åé»è®€åŒãåŠæé»è®€ç«¯å£å·²ç»è¿è¡äºå
+¶å®çæå¡ïŒè¯·éæ©å
+¶å®ç«¯å£ã
+tomcat.port.displayText = Tomcatç«¯å£
+tomcat.shutdown.port.displayText = Tomcatç»æ­¢ç«¯å£
+
+### Progress page
+page.progress.displayText = å®è£
+è¿çš
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Greenstoneåžèœœåš
+uninstaller.cancel:åæ¶
+uninstaller.uninstall:åžèœœ
+uninstaller.finish:å®æ
+uninstaller.error:éè¯¯
+uninstaller.confirmation:ç¡®è®€
+uninstaller.continue:ç»§ç»­
+uninstaller.complete:å®æŽ
+uninstaller.skip:è·³è¿
+uninstaller.skip.all:è·³è¿ææ
+uninstaller.retry:åè¯
+uninstaller.readonly:åªè¯»
+
+uninstaller.will.uninstall.from:å°åžèœœGreenstoneå®è£
+
+uninstaller.uninstall.options:åžèœœéé¡¹:
+uninstaller.keep.collections:ä¿çæ¶é
+uninstaller.are.you.sure:äœ ç¡®è®€èŠåžèœœGreenstoneåïŒ
+uninstaller.are.you.sure.collections:äœ å·²éæ©å é€æ¶éã\nç»§ç»­äžäžæ­¥åè¯·å€ä»œèŠä¿ççæ¶é
+uninstaller.failed.to.figure.cd:æ æ³èŸšè®€åœåç®åœ
+uninstaller.cancelled:åžèœœåæ¶
+uninstaller.finished:åžèœœå®æ
+uninstaller.deleting:ä»ç®åœäž­å é€æä»¶{file}
+
+uninstaller.info.skipping:ä¿¡æ¯:è·³è¿æä»¶{file}
+uninstaller.info.no.startmenu:ä¿¡æ¯: æŸäžå°StartMenuè·¯åŸãåžèœœè¿çšäžäŒå é€StartMenuç»
+uninstaller.warning.readonly:è­Šå: æä»¶{file}åªè¯»
+uninstaller.warning.couldnt.delete:è­Šå: æ æ³å é€å é€æä»¶{file}ãè·³è¿
+uninstaller.warning.nonexistent:è­Šå: {file}äžå­åš
+uninstaller.error.nonexistent:éè¯¯: {file}äžå­åš
+uninstaller.error.couldnt.find.install.props:éè¯¯:æŸäžå°æä»¶'installation.properties'æ'etc/installation.properties'ã\nèŠä¹è¿äžæ¯ææçGreenstoneå®è£
+ïŒæå®è£
+å·²è¢«ç Žåãåžèœœæ æ³ç»§ç»­ã
+uninstaller.warning.couldnt.create.flagfile:è­Šå:æ æ³åå»ºæ è¯æä»¶ãå¿
+é¡»æåšå é€jreååžèœœæä»¶
+
+
+### Ant-Installer Core strings
+
+dirNotExistCreate=ç®åœäžå­åšïŒèŠåå»ºåïŒ
+dirNotExist=ç®åœäžå­åš
+fileNotExist=æä»¶äžå­åš
+dirNotCreated=æ æ³åå»ºç®åœ
+canNotCreateFile=æ æ³åå»ºæä»¶
+appRootInvalid=ç®åœäŒŒä¹äžæ¯åºçšçšåºçæ ¹ç®åœ
+selectFile=éæ©æä»¶
+selectFolder=éæ©ç®åœ
+browseDotDotDot=æµè§...
+notValidSelection=æ æéæ©
+showDetails=æŸç€ºç»è
+
+#Default loading
+promptLoadDefaults=åç°å®è£
+é
+çœ®ãèœœå
+¥å·²æé
+çœ®ïŒ
+promptMissingDefaultPassword=æªæŸå°å¯ç ãä¹è®žæ¯åºäºå®å
+šåå è¢«ç¥å»ãè®Ÿäžºé»è®€åŒã
+
+click=ç¹å»
+toContinue=ç»§ç»­
+failed=å€±èŽ¥
+exit=éåº
+complete=å®æŽ
+finished=å®æ
+extracting=æåäž­...
+installFinished=å®è£
+å®æ
+install-cancelled=å®è£
+åæ¶
+running=è¿è¡äž­
+
+backButton=è¿å
+cancelButton=åæ¶
+nextButton=äžäžæ­¥
+finishButtonText = å®è£
+
+
+output=èŸåº
+errors=éè¯¯
+notCorrectFormat=åæš¡åŒéè¯¯
+notCorrectPasswordFormat=å¯ç æš¡åŒéè¯¯
+passwordsDoNotMatch=å¯ç éè¯¯
+installationFailed=å®è£
+å€±èŽ¥
+propertiesVersionMismatch=æ©æå®è£
+çæ¬çäžäºéé¡¹çŒºå€±ïŒå¿
+é¡»æåšèŸå
+¥ïŒç»§ç»­ïŒ
+
+Finished=å®æ
+Failed=å€±èŽ¥ïŒæŸç€ºéè¯¯ä¿¡æ¯
+ant.failure=Antè¿è¡å€±èŽ¥ïŒè¯Šç»ä¿¡æ¯è¯·æ¥çéè¯¯æ¥å¿
+
+license.next.text=æ¥å
+license.cancel.text=æç»