Index: release-kits/shared/language-strings/LanguagePack_de.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17846)
+++ release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17847)
@@ -1,46 +1,190 @@
-dirNotExistCreate=Das Verzeichnis existiert nicht, erzeugen?
+### Language page ###
+page.language-selector.displayText = Sprache
+language-selector-explanation.displayText = Bitte wÃ€hlen Sie die Installationssprache aus. (Hinweis: Momentan unterstÃŒtzt die Installation noch nicht alle Sprachen.)
+
+
+### Intro Page ###
+page.intro.displayText = Greenstone @version@ Installation
+welcome-message.displayText = Greenstone@version.major@ ist eine Software zum Aufbau und Austausch von digitalen Bibliotheken.\n\nWir empfehlen, dass Sie alte Installationen von Greenstone@version.major@ deinstallieren, bevor Sie diese Installation starten.
+
+## License page ###
+page.license.displayText = Software Lizenz
+
+
+### Destination page ###
+page.destination.displayText = Installationsordner
+installDir.displayText = WÃ€hlen Sie einen Installationsordner
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText = Alte Installation gefunden
+is-install-detected.displayText = Eine Installation von Greenstone2 Ã€lter als Version 2.81, oder eine Installation von Greenstone3 Ã€lter als Version 3.04, wurde in Ihrem Installationsornder gefunden. Die Installation kann nicht im ausgewÃ€hlten Installationsordner fortgesetzt werden.\n\nBitte beenden sie die Installation, deinstallieren Sie die existierende Greenstone Installation, und setzen dann diese Installation fort (empfohlen). Alternativ kÃ¶nnen Sie zur vorigen Seite dieser Installation zurÃŒckkehren und einen anderen Installationsordner auswÃ€hlen.
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText = Komponenten
+choose-components.displayText = Bitte wÃ€hlen Sie die Komponenten, die Sie installieren mÃ¶chten
+
+Looking_For_Previous_Installation.displayText = Suche nach alten Installationen
+Looking_For_Previous_Installation.explanatoryText = Falls dies eine Nachinstallation ist, lade einige Eigenschaften der existierenden Installation, um den Installationsprozess zu leiten.
+
+Installing_Core_System.displayText = Kernsystem
+Installing_Core_System.explanatoryText = \
+<html> \
+Dies ist das Kernsystem von Greenstone@version.major@. Es ist eine benÃ¶tigte Komponente. \
+</html>
+
+Installing_Source_Code_Core.displayText = Quellcode des Kernsystems
+Installing_Source_Code_Core.explanatoryText = \
+<html> \
+Dies ist das Kernsystem von Greenstone@version.major@ fÃŒr Quellcode Versionen. <br>\n
+Es beinhaltet unterstÃŒtzende Dateien, die den Quellcode begleiten. \
+</html>
+
+Installing_Source_Code.displayText = Quellcode
+Installing_Source_Code.explanatoryText = \
+<html> \
+Installieren Sie den Quellcode wenn Sie Greenstone@version.major@ selbst kompilieren mÃ¶chten,<br>\n
+Ihre Kopie von Greenstone@version.major@ modifizieren wollen, oder wenn<br>\n
+Sie wissen mÃ¶chten, wie alles funktioniert. \
+</html>
+
+Installing_ImageMagick.displayText = ImageMagick mit JPEG2000 (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText = \
+<html> \
+Greenstone benutzt ImageMagick um Bilder zu bearbeiten.<br>\n
+Die Version von ImageMagick beinhaltet support fÃŒr das Format JPEG2000. <br>\
+Falls Sie bereits ImageMagick auf Ihrem Computer installiert haben, oder falls Sie keine Bilder <br>\
+in Ihrer Greenstone Sammlung haben wollen brauchen Sie ImageMagick nicht zu installieren. \
+</html>
+
+Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText = \
+<html> \
+Greenstone benutzt GhostScript um PDF und PostScript Dateien zu bearbeiten.<br> \
+Falls Sie bereits Ghostscript auf Ihrem Computer installiert haben, oder falls Sie keine<br>\
+ PDF oder PostScript Dateien in Ihrer Greenstone Sammlung haben wollen brauchen Sie Ghostscript nicht zu installieren. \
+</html>
+
+Installing_Start_Menu_Shortcuts.displayText = Startmenu-Shortcuts
+Installing_Start_Menu_Shortcuts.explanatoryText = Erzeugen von Shortcuts zu Greenstone@version.major@ in Ihrem Startmenu
+
+Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText = \
+<html> \
+Greenstone3 benÃ¶tigt den Apache Tomcat Webserver um Ihre digitale Bibliothek ÃŒber das Internet anzubieten.<br> \
+Falls Sie eine existierende Installation von Tomcat haben, kÃ¶nnen Sie diese <br> \
+(mit einigen Ãnderungen der Konfiguration) benutzen, d.h. Sie kÃ¶nnen von der Installation dieser Komponente Abstand nehmen. \
+</html>
+
+Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText = \
+<html> \
+Greenstone3 benÃ¶tigt Apache Ant um den Tomcat Webserver zu starten und stoppen, um den Quellcode <br> \
+zu rekompilieren, und fÃŒr einige Wartungsaufgaben. Falls Sie bereits Ant installiert haben, <br> \
+kÃ¶nnen Sie von der Installation dieser Komponente Abstand nehmen. \
+</html>
+
+### Admin password page
+page.admin-password.displayText = Bitte setzen Sie das Admin Passwort
+admin.password.displayText = Admin Passwort
+admin-password-expl.displayText = Um Zugang zu bestimmten Teilen der Greenstone BenutzeroberflÃ€che zu haben, benÃ¶tigen Sie ein Passwort. Ein Benutzer mit der Benutzerkennung 'admin' mit dem von Ihnen gegebenen Passwort wird fÃŒr Sie erzeugt. Das Passwort muss zwischen drei und acht Buchstaben lang sein.
+
+### Tomcat config page
+page.tomcat-config.displayText = Apache Tomcat Konfiguration
+tomcat-config-explanation1.displayText = Greenstone3 benutzt Apache Tomcat fÃŒr den Austausch von diditalen Bibliotheken.
+tomcat-config-explanation2.displayText = Sie kÃ¶nnen Tomcat entweder hier konfigurieren, oder durch editieren der build.properties Datei im Greenstone3 Heinmverzeichnis (${installDir}).
+tomcat.server.displayText = Tomcat Server
+tomcat-server.explanatoryText = Bitte geben Sie den Namen des Server, der die Bibliothek hostet, ein. Wenn Sie sich nicht sicher sind, akzeptieren Sie den Default (localhost).
+tomcat.port.explanatoryText = Bitte wÃ€hlen Sie die Ports, die Tomcat benutzen soll. Es ist normalerweise empfohlen die Defaults zu akzeptieren. Falls Sie bereits andere Services auf den default Ports laufen haben, wÃ€hlen Sie bite einige freie Ports.
+tomcat.port.displayText = Tomcat Port
+tomcat.shutdown.port.displayText = Tomcat Shutdown Port
+
+### Progress page
+page.progress.displayText = Fortschritt der Installation
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Deinstallation von Greenstone
+uninstaller.cancel:Abbrechen
+uninstaller.uninstall:Deinstallieren
+uninstaller.finish:Fertig stellen
+uninstaller.error:Fehler
+uninstaller.confirmation:BestÃ€tigung
+uninstaller.continue:Fortsetzen
+uninstaller.complete:Abschliessen
+uninstaller.skip:Ãberspringen
+uninstaller.skip.all:Alles Ãberspringen
+uninstaller.retry:Wiederholen
+uninstaller.readonly:SchreibgeschÃŒtzt
+
+uninstaller.will.uninstall.from:Dies wird Greenstone deinstallieren von
+uninstaller.uninstall.options:Deinstallationsoptionen:
+uninstaller.keep.collections:Sammlungen behalten
+uninstaller.are.you.sure:MÃ¶chten Sie Greenstone wirklich deinstallieren
+uninstaller.are.you.sure.collections:Sie haben  gewÃ€hlt Ihre Sammlungen zu deinstallieren.\nBitte erstellen Sie Sicherungskopien aller Sammlungen, die Sie behalten wollen, bevor sie die Deinstallation fortsetzen
+uninstaller.failed.to.figure.cd:Das aktuelle Verzeichnis konnte nicht ermittelt werden
+uninstaller.cancelled:Deinstallation abgebrochen
+uninstaller.finished:Deinstallation abgeschlossen
+uninstaller.deleting:LÃ¶sche {file} von der Festplatte
+
+uninstaller.info.skipping:INFO: Ãberspringe {file}
+uninstaller.info.no.startmenu:INFO: Kein Startmenupfad gefunden. Die Deinstallation beinhaltet nicht eine Startmenugruppe zu lÃ¶schen
+uninstaller.warning.readonly:WARNUNG: {file} ist schreibgeschÃŒtzt
+uninstaller.warning.couldnt.delete:WARNUNG: {file} konnte nicht gelÃ¶scht werden
+uninstaller.warning.nonexistent:WARNUNG: {file} existiert nicht
+uninstaller.error.nonexistent:FEHLER: {file} existiert nicht
+uninstaller.error.couldnt.find.install.props:FEHLER: Die Datei 'installation.properties' oder 'etc/installation.properties' konnte nicht gefunden werden.\nEntweder ist dies keine gÃŒltige Greenstone Installation, oder die Installation ist beschÃ€digt.\nDeinstallation kann nicht fortgesetzt werden
+uninstaller.warning.couldnt.create.flagfile:FEHLER: Konnte die Markierungsdatei nicht erzeugen. Sie mÃŒssen die restlichen Dateien und Verzeichnisse  manuell lÃ¶schen.
+
+
+### Ant-Installer Core strings
+
+dirNotExistCreate=Das Verzeichnis existiert nicht, soll es erzeugt werden?
 dirNotExist=Das Verzeichnis existiert nicht
 fileNotExist=Die Datei existiert nicht
 dirNotCreated=Das Verzeichnis konnte nicht erzeugt werden
 canNotCreateFile=Kann die Datei nicht erzeugen
-appRootInvalid=Das Verzeichnis scheint nicht das Wurzelverzeichnis der Applikation zu sein
-selectFile=Datei auswählen
-selectFolder=Verzeichnis auswählen
-notValidSelection=Keine gültige Auswahl
-# browseDotDotDot=
-showDetails=Details anzeigen
+appRootInvalid=Dies Verzeichnis scheint nicht das Wurzelverzeichnis  der Anwendung zu sein
+selectFile=WÃ€hlen Sie Datei
+selectFolder=WÃ€hlen Sie Verzeichnis
+browseDotDotDot=Browse...
+notValidSelection=Keine gÃŒltige Auswahl
+showDetails=Zeige Details
 
 #Default loading
-promptLoadDefaults=Installation configuration found. Load the existing configuration?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+promptLoadDefaults=Installationskonfiguration gefunden. Soll die existierende Konfiguration geladen werden?
+promptMissingDefaultPassword=Ein Passwort ist nicht gefunden worden, mÃ¶glicherweise wurde es aus SicherheitsgrÃŒnden ausgelassen, es wird auf den Default gesetzt.
 
-click=Klicken
-toContinue=zum Fortfahren
-failed=fehlgeschlagen
-exit=Beenden
-complete=Fertigstellen
-finished=abgeschlossen
-extracting=Auspacken ...
+click=Klick
+toContinue=fortsetzen
+failed=Unterbrochen
+exit=Exit
+complete=Fertig stellen
+finished=Beendet
+extracting=Entpacke...
 installFinished=Installation beendet
-# install-cancelled=
+install-cancelled=Installation abgebrochen
 running=
 
-backButton=Zurück
+backButton=ZurÃŒck
 cancelButton=Abbrechen
-nextButton=Weiter
-# finishButtonText = 
+nextButton=NÃ€chstes
+finishButtonText = Installiere
 
 output=Ausgabe
 errors=Fehler
-notCorrectFormat=Der Wert hat nicht das vorgegebene Format
-notCorrectPasswordFormat=Das Kennwort hat nicht das vorgegebene Format
-passwordsDoNotMatch=The passwords do not match
-installationFailed=Installation fehlgeschlagen
-propertiesVersionMismatch=Some properties are missing from and must be manually entered, continue?
+notCorrectFormat=Das Feld ist nicht im richtigen Format
+notCorrectPasswordFormat=Das Passwort ist nicht im richtigen Format
+passwordsDoNotMatch=Die PasswÃ¶rter sind nicht identisch
+installationFailed=Installation war nicht erfolgreich
+propertiesVersionMismatch=Einige Optionen fehlen von der vorigen Version und mÃŒssen manuell eingegeben werden, fortsetzen?
 
-Finished=Fertig
-Failed=Fehlgeschlagen, Details siehe Fehlermeldungen
-ant.failure=Ant run failed - examine the error logs for details
+Finished=Beendet
+Failed=Installation unterbrochen, mÃ¶chten Sie Fehlermeldungen sehen
+ant.failure=Ant konnte nicht sum Laufen gebracht werden - mÃ¶chten Sie Fehlerprotokolle fÃŒr Details ansehen
 
-license.next.text=Accept
-license.cancel.text=Reject
+license.next.text=Akzeptieren
+license.cancel.text=Ablehnen