Index: release-kits/shared/language-strings/LanguagePack_de.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17854)
+++ release-kits/shared/language-strings/LanguagePack_de.properties	(revision 17857)
@@ -108,83 +108,83 @@
 ### Uninstaller Strings
 
-uninstaller.greenstone.uninstaller:Deinstallation von Greenstone
-uninstaller.cancel:Abbrechen
-uninstaller.uninstall:Deinstallieren
-uninstaller.finish:Fertig stellen
-uninstaller.error:Fehler
-uninstaller.confirmation:BestÃ€tigung
-uninstaller.continue:Fortsetzen
-uninstaller.complete:Abschliessen
-uninstaller.skip:Ãberspringen
-uninstaller.skip.all:Alles Ãberspringen
-uninstaller.retry:Wiederholen
-uninstaller.readonly:SchreibgeschÃŒtzt
+uninstaller.greenstone.uninstaller = Deinstallation von Greenstone
+uninstaller.cancel = Abbrechen
+uninstaller.uninstall = Deinstallieren
+uninstaller.finish = Fertig stellen
+uninstaller.error = Fehler
+uninstaller.confirmation = BestÃ€tigung
+uninstaller.continue = Fortsetzen
+uninstaller.complete = Abschliessen
+uninstaller.skip = Ãberspringen
+uninstaller.skip.all = Alles Ãberspringen
+uninstaller.retry = Wiederholen
+uninstaller.readonly = SchreibgeschÃŒtzt
 
-uninstaller.will.uninstall.from:Dies wird Greenstone deinstallieren von
-uninstaller.uninstall.options:Deinstallationsoptionen:
-uninstaller.keep.collections:Sammlungen behalten
-uninstaller.are.you.sure:MÃ¶chten Sie Greenstone wirklich deinstallieren
-uninstaller.are.you.sure.collections:Sie haben  gewÃ€hlt Ihre Sammlungen zu deinstallieren.\nBitte erstellen Sie Sicherungskopien aller Sammlungen, die Sie behalten wollen, bevor sie die Deinstallation fortsetzen
-uninstaller.failed.to.figure.cd:Das aktuelle Verzeichnis konnte nicht ermittelt werden
-uninstaller.cancelled:Deinstallation abgebrochen
-uninstaller.finished:Deinstallation abgeschlossen
-uninstaller.deleting:LÃ¶sche {file} von der Festplatte
+uninstaller.will.uninstall.from = Dies wird Greenstone deinstallieren von
+uninstaller.uninstall.options = Deinstallationsoptionen:
+uninstaller.keep.collections = Sammlungen behalten
+uninstaller.are.you.sure = MÃ¶chten Sie Greenstone wirklich deinstallieren
+uninstaller.are.you.sure.collections = Sie haben  gewÃ€hlt Ihre Sammlungen zu deinstallieren.\nBitte erstellen Sie Sicherungskopien aller Sammlungen, die Sie behalten wollen, bevor sie die Deinstallation fortsetzen
+uninstaller.failed.to.figure.cd = Das aktuelle Verzeichnis konnte nicht ermittelt werden
+uninstaller.cancelled = Deinstallation abgebrochen
+uninstaller.finished = Deinstallation abgeschlossen
+uninstaller.deleting = LÃ¶sche {file} von der Festplatte
 
-uninstaller.info.skipping:INFO: Ãberspringe {file}
-uninstaller.info.no.startmenu:INFO: Kein Startmenupfad gefunden. Die Deinstallation beinhaltet nicht eine Startmenugruppe zu lÃ¶schen
-uninstaller.warning.readonly:WARNUNG: {file} ist schreibgeschÃŒtzt
-uninstaller.warning.couldnt.delete:WARNUNG: {file} konnte nicht gelÃ¶scht werden
-uninstaller.warning.nonexistent:WARNUNG: {file} existiert nicht
-uninstaller.error.nonexistent:FEHLER: {file} existiert nicht
-uninstaller.error.couldnt.find.install.props:FEHLER: Die Datei 'installation.properties' oder 'etc/installation.properties' konnte nicht gefunden werden.\nEntweder ist dies keine gÃŒltige Greenstone Installation, oder die Installation ist beschÃ€digt.\nDeinstallation kann nicht fortgesetzt werden
-uninstaller.warning.couldnt.create.flagfile:FEHLER: Konnte die Markierungsdatei nicht erzeugen. Sie mÃŒssen die restlichen Dateien und Verzeichnisse  manuell lÃ¶schen.
+uninstaller.info.skipping = INFO: Ãberspringe {file}
+uninstaller.info.no.startmenu = INFO: Kein Startmenupfad gefunden. Die Deinstallation beinhaltet nicht eine Startmenugruppe zu lÃ¶schen
+uninstaller.warning.readonly = WARNUNG: {file} ist schreibgeschÃŒtzt
+uninstaller.warning.couldnt.delete = WARNUNG: {file} konnte nicht gelÃ¶scht werden
+uninstaller.warning.nonexistent = WARNUNG: {file} existiert nicht
+uninstaller.error.nonexistent = FEHLER: {file} existiert nicht
+uninstaller.error.couldnt.find.install.props = FEHLER: Die Datei 'installation.properties' oder 'etc/installation.properties' konnte nicht gefunden werden.\nEntweder ist dies keine gÃŒltige Greenstone Installation, oder die Installation ist beschÃ€digt.\nDeinstallation kann nicht fortgesetzt werden
+uninstaller.warning.couldnt.create.flagfile = FEHLER: Konnte die Markierungsdatei nicht erzeugen. Sie mÃŒssen die restlichen Dateien und Verzeichnisse  manuell lÃ¶schen.
 
 
 ### Ant-Installer Core strings
 
-dirNotExistCreate=Das Verzeichnis existiert nicht, soll es erzeugt werden?
-dirNotExist=Das Verzeichnis existiert nicht
-fileNotExist=Die Datei existiert nicht
-dirNotCreated=Das Verzeichnis konnte nicht erzeugt werden
-canNotCreateFile=Kann die Datei nicht erzeugen
-appRootInvalid=Dies Verzeichnis scheint nicht das Wurzelverzeichnis  der Anwendung zu sein
-selectFile=WÃ€hlen Sie eine Datei
-selectFolder=WÃ€hlen Sie ein Verzeichnis
-browseDotDotDot=Browse...
-notValidSelection=Keine gÃŒltige Auswahl
-showDetails=Zeige Details
+dirNotExistCreate = Das Verzeichnis existiert nicht, soll es erzeugt werden?
+dirNotExist = Das Verzeichnis existiert nicht
+fileNotExist = Die Datei existiert nicht
+dirNotCreated = Das Verzeichnis konnte nicht erzeugt werden
+canNotCreateFile = Kann die Datei nicht erzeugen
+appRootInvalid = Dies Verzeichnis scheint nicht das Wurzelverzeichnis  der Anwendung zu sein
+selectFile = WÃ€hlen Sie eine Datei
+selectFolder = WÃ€hlen Sie ein Verzeichnis
+browseDotDotDot = Browse...
+notValidSelection = Keine gÃŒltige Auswahl
+showDetails = Zeige Details
 
 #Default loading
-promptLoadDefaults=Installationskonfiguration gefunden. Soll die existierende Konfiguration geladen werden?
-promptMissingDefaultPassword=Ein Passwort ist nicht gefunden worden, mÃ¶glicherweise wurde es aus SicherheitsgrÃŒnden ausgelassen, es wird auf den Default gesetzt.
+promptLoadDefaults = Installationskonfiguration gefunden. Soll die existierende Konfiguration geladen werden?
+promptMissingDefaultPassword = Ein Passwort ist nicht gefunden worden, mÃ¶glicherweise wurde es aus SicherheitsgrÃŒnden ausgelassen, es wird auf den Default gesetzt.
 
-click=Klicken Sie
-toContinue=um fortzusetzen
-failed=Unterbrochen
-exit=Exit
-complete=Fertig stellen
-finished=Beendet
-extracting=Entpacke...
-installFinished=Installation beendet
-install-cancelled=Installation abgebrochen
-running=
+click = Klicken Sie
+toContinue = um fortzusetzen
+failed = Unterbrochen
+exit = Exit
+complete = Fertig stellen
+finished = Beendet
+extracting = Entpacke...
+installFinished = Installation beendet
+install-cancelled = Installation abgebrochen
+running = 
 
-backButton=ZurÃŒck
-cancelButton=Abbrechen
-nextButton=Weiter
+backButton = ZurÃŒck
+cancelButton = Abbrechen
+nextButton = Weiter
 finishButtonText = installieren
 
-output=Ausgabe
-errors=Fehler
-notCorrectFormat=Das Feld ist nicht im richtigen Format
-notCorrectPasswordFormat=Das Passwort ist nicht im richtigen Format
-passwordsDoNotMatch=Die PasswÃ¶rter sind nicht identisch
-installationFailed=Installation war nicht erfolgreich
-propertiesVersionMismatch=Einige Optionen fehlen von der vorigen Version und mÃŒssen manuell eingegeben werden, fortsetzen?
+output = Ausgabe
+errors = Fehler
+notCorrectFormat = Das Feld ist nicht im richtigen Format
+notCorrectPasswordFormat = Das Passwort ist nicht im richtigen Format
+passwordsDoNotMatch = Die PasswÃ¶rter sind nicht identisch
+installationFailed = Installation war nicht erfolgreich
+propertiesVersionMismatch = Einige Optionen fehlen von der vorigen Version und mÃŒssen manuell eingegeben werden, fortsetzen?
 
-Finished=Beendet
-Failed=Installation unterbrochen, mÃ¶chten Sie Fehlermeldungen sehen
-ant.failure=Ant konnte nicht sum Laufen gebracht werden - mÃ¶chten Sie Fehlerprotokolle fÃŒr Details ansehen
+Finished = Beendet
+Failed = Installation unterbrochen, mÃ¶chten Sie Fehlermeldungen sehen
+ant.failure = Ant konnte nicht sum Laufen gebracht werden - mÃ¶chten Sie Fehlerprotokolle fÃŒr Details ansehen
 
-license.next.text=Akzeptieren
-license.cancel.text=Ablehnen
+license.next.text = Akzeptieren
+license.cancel.text = Ablehnen