Index: /gsdl/trunk/perllib/plugins/HTMLPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/HTMLPlugin.pm	(revision 17862)
+++ /gsdl/trunk/perllib/plugins/HTMLPlugin.pm	(revision 17863)
@@ -399,5 +399,5 @@
 	# tidy the input file
 	my $tidy_output_filename = $hdl_output_filename;
-	if ($self->{'tidy_html'})
+	if ($self->{'use_realistic_book'})
 	{
 	    $tidy_output_filename = &util::filename_cat($tmp_dirname, "$tailname$suffix");
@@ -498,5 +498,5 @@
     $suffix = lc($suffix);   
     
-    if (($self->{'tidy_html'}) || ($self->{'old_style_HDL'}))
+    if (($self->{'use_realistic_book'}) || ($self->{'old_style_HDL'}))
     {
 	# because the document has to be sectionalized set the description tags 
Index: /gsdl/trunk/runtime-src/src/colservr/collectserver.cpp
===================================================================
--- /gsdl/trunk/runtime-src/src/colservr/collectserver.cpp	(revision 17862)
+++ /gsdl/trunk/runtime-src/src/colservr/collectserver.cpp	(revision 17863)
@@ -1,3 +1,3 @@
-
+ 
 /**********************************************************************
  *
@@ -60,5 +60,5 @@
 // configure should be called for each line in the
 // configuration files to configure the collection server and everything
-// it contains. The configuration should take place just before initialisationhttps://www.google.com/accounts/ServiceLogin?service=mail&passive=true&rm=false&continue=http%3A%2F%2Fmail.google.com%2Fmail%3Fui%3Dhtml%26zy%3Dl&ltmpl=ca_tlsosm_video&ltmplcache=2&hl=en.
+// it contains. The configuration should take place just before initialisation
 void collectserver::configure (const text_t &key, const text_tarray &cfgline) {
   if (cfgline.size() >= 1) {
@@ -69,5 +69,5 @@
 	const text_t &name = cfgline[0];
 	
-	if (name == "HTMLPlug")
+	if (name == "HTMLPlugin")
 	{
 		for (int hI = 1; hI < cfgline.size(); hI++)
@@ -75,5 +75,5 @@
 			const text_t &plugOption = cfgline[hI];
 			
-			if (plugOption == "-tidy_html") 
+			if (plugOption == "-use_realistic_book") 
 			{
 				collectinfo.useBook = true;
@@ -166,5 +166,5 @@
       text_tmap params_map = collectinfo.collection_macros[meta_name];
       
-      if (cfgline.size() == 2) {// no params for this macrohttp://uk.sports.yahoo.com/13032007/13/news-brief.html
+      if (cfgline.size() == 2) {// no params for this macro
 	params_map[g_EmptyText] = cfgline[1];
       }
Index: /gsdl/trunk/runtime-src/src/recpt/comproto.asn
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/comproto.asn	(revision 17862)
+++ /gsdl/trunk/runtime-src/src/recpt/comproto.asn	(revision 17863)
@@ -216,5 +216,6 @@
   numDocs     [6] IMPLICIT INTEGER,
   numWords    [7] IMPLICIT INTEGER OPTIONAL,
-  numBytes    [8] IMPLICIT INTEGER OPTIONAL
+  numBytes    [8] IMPLICIT INTEGER OPTIONAL,
+  useBook     [9] IMPLICIT BOOLEAN     -- whether to use book mode
 }
 
Index: /gsdl/trunk/runtime-src/src/recpt/statusaction.cpp
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/statusaction.cpp	(revision 17862)
+++ /gsdl/trunk/runtime-src/src/recpt/statusaction.cpp	(revision 17863)
@@ -579,4 +579,10 @@
 	      << "</td></tr>\n"
 
+	      << "<tr><th>use realistic book?</th><td>";
+      if (collectinfo->useBook) textout << outconvert << "true";
+      else textout << outconvert << "false";
+      textout << outconvert 
+	      << "</td></tr>\n"
+		  
 	      << "<tr><th>build date</th><td>\""
 	      << collectinfo->buildDate
Index: /gsdl/trunk/runtime-src/src/z3950/z3950proto.cpp
===================================================================
--- /gsdl/trunk/runtime-src/src/z3950/z3950proto.cpp	(revision 17862)
+++ /gsdl/trunk/runtime-src/src/z3950/z3950proto.cpp	(revision 17863)
@@ -246,4 +246,5 @@
   // don't use beta field
   /*collectinfo.isBeta=false;*/
+  collectinfo.useBook=false;
   collectinfo.buildDate=1;
   // leave ccsCols empty (no cross-coll. searching - for now)