Index: release-kits/mark3/ant-scripts/build.xml
===================================================================
--- release-kits/mark3/ant-scripts/build.xml	(revision 17833)
+++ release-kits/mark3/ant-scripts/build.xml	(revision 17898)
@@ -16,6 +16,8 @@
 
 	<!-- for the benefit of the shared scripts, set release-kit home -->
+	<property name="rk.name" value="mark3"/>
 	<property name="rk.home" value="${mark3.home}" />
 	<property name="rk.os" value="linux" />
+	<!-- os.suffix set dynamically below -->
 
 	<!-- IMPORT OTHER ANT SCRIPTS -->
Index: release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- release-kits/mark3/ant-scripts/compile.xml	(revision 17833)
+++ release-kits/mark3/ant-scripts/compile.xml	(revision 17898)
@@ -9,18 +9,18 @@
 		<!-- preparation -->
 		<antcall target="greenstone3-set-version-numbers">
-			<param name="greenstone3basedir" value="${basedir}/greenstone3"/>
+			<param name="greenstone3basedir" value="${basedir}/compiled"/>
 		</antcall>
 		<antcall target="set-gdbm-installed-path" />
-		<ant target="prepare-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<ant target="prepare-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 		
 		<!-- update -->
-		<ant target="update-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<ant target="update-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 
 		<!-- configure -->
-		<ant target="configure-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<ant target="configure-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 		<antcall target="tweak-makefiles" />
 
 		<!-- build -->
-		<ant target="build-unix" dir="greenstone3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
+		<ant target="build-unix" dir="compiled" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" inheritAll="false"/>
 		<antcall target="linux-strip-execs" />
 
@@ -35,29 +35,29 @@
 	<target name="checkout-greenstone3">
 		<svn javahl="false">
-			<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="greenstone3"/>
+			<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="compiled"/>
 		</svn>
 	</target>
 
 	<target name="set-version-number-property">
-		<rsr file="greenstone3/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
+		<rsr file="compiled/resources/java/global.properties.in" pattern="(.*)@gsdl3version@(.*)" replacement="$1${version}$2" />
 	</target>
 
 	<target name="set-gdbm-installed-path">
-		<rsr file="greenstone3/build.properties" pattern="(gdbm.installed.path=).*" replacement="$1${mark3.home}/mac/${processor}/gdbm"/>
+		<rsr file="compiled/build.properties" pattern="(gdbm.installed.path=).*" replacement="$1${mark3.home}/mac/${processor}/gdbm"/>
 	</target>
 
 	<target name="tweak-makefiles">
 		<rsr
-			file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/db2txt/Makefile"
+			file="${basedir}/compiled/gs2build/common-src/src/gdbmedit/db2txt/Makefile"
 			pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
 			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
 
 		<rsr
-			file="${basedir}/greenstone3/gs2build/common-src/src/gdbmedit/txt2db/Makefile"
+			file="${basedir}/compiled/gs2build/common-src/src/gdbmedit/txt2db/Makefile"
 			pattern="^(LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
 			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
 
 		<rsr
-			file="${basedir}/greenstone3/src/packages/javagdbm/jni/Makefile"
+			file="${basedir}/compiled/src/packages/javagdbm/jni/Makefile"
 			pattern="^(GDBM_LIBS ?=.*)-L${mark3.home}/mac/${processor}/gdbm/lib -lgdbm(.*)$"
 			replacement="$1${mark3.home}/mac/${processor}/gdbm/lib/libgdbm.a$2" />
@@ -65,5 +65,5 @@
 
 	<target name="linux-strip-execs">
-		<exec dir="greenstone3/gs2build/bin/darwin" executable="find">
+		<exec dir="compiled/gs2build/bin/darwin" executable="find">
 			<arg line=". ! -name . -exec strip {} &#59;"/>
 		</exec>
@@ -71,33 +71,33 @@
 
 	<target name="prepare-documentation">
-		<mkdir dir="greenstone3/gsdl-manuals"/>
+		<mkdir dir="compiled/gsdl-manuals"/>
 		<svn javahl="false">
-			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="greenstone3/gsdl-manuals/manuals"/>
-			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="greenstone3/gsdl-manuals/shared"/>
+			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="compiled/gsdl-manuals/manuals"/>
+			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="compiled/gsdl-manuals/shared"/>
 		</svn>
-		<javac srcdir="greenstone3/gsdl-manuals/shared"
-		      destdir="greenstone3/gsdl-manuals/shared"
+		<javac srcdir="compiled/gsdl-manuals/shared"
+		      destdir="compiled/gsdl-manuals/shared"
 		      debug="on">
 			<include name="*.java"/>
 		</javac>
-		<unzip src="greenstone3/gsdl-manuals/shared/fop.zip" dest="greenstone3/gsdl-manuals/shared"/>
+		<unzip src="compiled/gsdl-manuals/shared/fop.zip" dest="compiled/gsdl-manuals/shared"/>
 
 		<path id="documentation.compile.classpath">
-			<fileset dir="greenstone3/gsdl-manuals">
+			<fileset dir="compiled/gsdl-manuals">
 				<include name="**/*.jar"/>
 			</fileset>
-			<pathelement path="greenstone3/gsdl-manuals/shared"/>
-			<pathelement path="greenstone3/gsdl-manuals/manuals"/>
+			<pathelement path="compiled/gsdl-manuals/shared"/>
+			<pathelement path="compiled/gsdl-manuals/manuals"/>
 		</path>
 
-		<java classname="ApplyXSLT" classpathref="documentation.compile.classpath" output="greenstone3/gsdl-manuals/manuals/xml-source/en/help-en.xml">
-			<arg value="greenstone3/gsdl-manuals/manuals/processing/gen-gli-help-to-manual-chapter.xsl" />
-			<arg value="greenstone3/gli/help/en/help.xml" />
-			<arg value="greenstone3" />
+		<java classname="ApplyXSLT" classpathref="documentation.compile.classpath" output="compiled/gsdl-manuals/manuals/xml-source/en/help-en.xml">
+			<arg value="compiled/gsdl-manuals/manuals/processing/gen-gli-help-to-manual-chapter.xsl" />
+			<arg value="compiled/gli/help/en/help.xml" />
+			<arg value="compiled" />
 		</java>
 
-		<chmod perm="a+x" file="greenstone3/gsdl-manuals/shared/fop/fop.sh"/>
+		<chmod perm="a+x" file="compiled/gsdl-manuals/shared/fop/fop.sh"/>
 		<echo>Run generate-pdf.sh</echo>
-		<exec dir="greenstone3/gsdl-manuals/manuals" executable="/bin/sh">
+		<exec dir="compiled/gsdl-manuals/manuals" executable="/bin/sh">
 			<arg line="generate-pdf.sh u en" />
 		</exec>
Index: release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-components.xml	(revision 17833)
+++ release-kits/mark3/ant-scripts/create-components.xml	(revision 17898)
@@ -2,5 +2,5 @@
 <project name="mark3-create-components" default="create-components">
 
-	<!-- create components from the distribution folder -->
+	<!-- create components from the distributions folder -->
 
 	<!-- 1st level -->
@@ -43,5 +43,5 @@
 				
 		<copy todir="components/tmp/core" overwrite="true">
-			<fileset dir="distribution/greenstone3">
+			<fileset dir="distributions/web">
 				<include name="**/*"/>
 
@@ -85,5 +85,5 @@
 
 		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distribution/greenstone3">
+				<fileset dir="distributions/web">
 					<include name="src/**/*"/>
 					<include name="gs2build/common-src/**/*"/>
@@ -108,5 +108,5 @@
 
 		<copy todir="components/tmp/ant" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
+			<fileset dir="distributions/web/packages">
 				<include name="ant/**/*"/>
 			</fileset>
@@ -127,5 +127,5 @@
 
 		<copy todir="components/tmp/tomcat" overwrite="true">
-			<fileset dir="distribution/greenstone3/packages">
+			<fileset dir="distributions/web/packages">
 				<include name="tomcat/**/*"/>
 			</fileset>
@@ -146,5 +146,5 @@
 
 		<copy todir="components/tmp/imagemagick" overwrite="true">
-			<fileset dir="distribution/greenstone3/gs2build/bin/darwin">
+			<fileset dir="distributions/web/gs2build/bin/darwin">
 				<include name="imagemagick/**/*"/>
 			</fileset>
@@ -165,5 +165,5 @@
 
 		<copy todir="components/tmp/ghostscript" overwrite="true">
-			<fileset dir="distribution/greenstone3/gs2build/bin/darwin">
+			<fileset dir="distributions/web/gs2build/bin/darwin">
 				<include name="ghostscript/**/*"/>
 			</fileset>
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17833)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17898)
@@ -6,22 +6,22 @@
 		<!-- create distribution -->
 		<antcall target="export-greenstone3-gli" />
-		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="${basedir}/distribution/greenstone3"/></antcall>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distribution/greenstone3/gli"/></antcall>
+		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="${basedir}/distributions/web"/></antcall>
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk3-targets -->
 
-		<antcall target="copy-web-to-source-greenstone3" /> <!-- from gs3-targets -->
+		<antcall target="copy-web-to-source" /> <!-- from init -->
 
-		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">
 			<property name="app.version" value="${version}"/>
 			<property name="branch.path" value="${branch.path}"/>
 		</ant>
 
-		<ant target="create-distribution-2" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+		<ant target="create-distribution-2" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">
 			<property name="app.version" value="${version}"/>
 			<property name="branch.path" value="${branch.path}"/>
 		</ant>
 
-		<ant target="create-distribution-3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
+		<ant target="create-distribution-3" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">
 			<property name="app.version" value="${version}"/>
 			<property name="branch.path" value="${branch.path}"/>
@@ -32,61 +32,49 @@
 		<antcall target="export-imagemagick-darwin-binaries" />
 		<antcall target="export-ghostscript-darwin-binaries" />
-		<antcall target="strip-svn-dirs"><param name="dir" value="distribution"/></antcall> <!-- from init -->
+		<antcall target="strip-svn-dirs"><param name="dir" value="distributions"/></antcall> <!-- from init -->
 	</target>
 
 	<target name="export-greenstone3-gli">
-		<mkdir dir="distribution"/>
-		<delete dir="distribution/greenstone3"/>
+		<mkdir dir="distributions"/>
+		<delete dir="distributions/web"/>
 		<svn javahl="false">
-			<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="distribution/greenstone3"/>
-			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distribution/greenstone3/gli"/>
+			<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="distributions/web"/>
+			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
 		</svn>
 	</target>
 	
 	<target name="export-imagemagick-darwin-binaries">
-		<delete dir="distribution/greenstone3/gs2build/bin/darwin/imagemagick"/>
+		<delete dir="distributions/web/gs2build/bin/darwin/imagemagick"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/imagemagick" destPath="distribution/greenstone3/gs2build/bin/darwin/imagemagick"/>
+			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/imagemagick" destPath="distributions/web/gs2build/bin/darwin/imagemagick"/>
 		</svn>
 	</target>
 	
 	<target name="export-ghostscript-darwin-binaries">
-		<delete dir="distribution/greenstone3/gs2build/bin/darwin/ghostscript"/>
+		<delete dir="distributions/web/gs2build/bin/darwin/ghostscript"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/ghostscript" destPath="distribution/greenstone3/gs2build/bin/darwin/ghostscript"/>
+			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/ghostscript" destPath="distributions/web/gs2build/bin/darwin/ghostscript"/>
 		</svn>
 	</target>
 
-	<target name="dist-set-version-number-property">
-		<rsr
-			file="distribution/greenstone3/resources/java/global.properties.in"
-			pattern="(.*)@gsdl3version@(.*)"
-			replacement="$1${version}$2" />
-	</target>
-
 	<target name="copy-over-build-xml">
-		<move file="distribution/greenstone3/modified-build.xml" tofile="distribution/greenstone3/build.xml"/>
+		<move file="distributions/web/modified-build.xml" tofile="distributions/web/build.xml"/>
 	</target>
 
 	<target name="insert-user-manual">
-		<copy file="greenstone3/gsdl-manuals/manuals/build/en/pdf/User_en.pdf" tofile="distribution/greenstone3/docs/manual/gs2_user_en.pdf"/>
+		<copy file="compiled/gsdl-manuals/manuals/build/en/pdf/User_en.pdf" tofile="distributions/web/docs/manual/gs2_user_en.pdf"/>
 	</target>
 
 	<target name="insert-compiled-binaries">
-		<delete dir="distribution/greenstone3/lib/jni"/>
-		<exec executable="cp"><arg line="-r greenstone3/lib/jni distribution/greenstone3/lib"/></exec>
+		<delete dir="distributions/web/lib/jni"/>
+		<exec executable="cp"><arg line="-r compiled/lib/jni distributions/web/lib"/></exec>
 
-		<delete dir="distribution/greenstone3/gs2build/bin/darwin"/>
-		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/darwin distribution/greenstone3/gs2build/bin"/></exec>
+		<delete dir="distributions/web/gs2build/bin/darwin"/>
+		<exec executable="cp"><arg line="-r compiled/gs2build/bin/darwin distributions/web/gs2build/bin"/></exec>
 
-		<delete dir="distribution/greenstone3/gs2build/bin/java"/>
-		<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/java distribution/greenstone3/gs2build/bin"/></exec>
-		<exec executable="cp"><arg line="greenstone3/bin/search4j distribution/greenstone3/bin"/></exec>
+		<delete dir="distributions/web/gs2build/bin/java"/>
+		<exec executable="cp"><arg line="-r compiled/gs2build/bin/java distributions/web/gs2build/bin"/></exec>
+		<exec executable="cp"><arg line="compiled/bin/search4j distributions/web/bin"/></exec>
 	</target>
 
-	<target name="rename-build-xml-for-transit">
-		<move file="distribution/greenstone3/build.xml" tofile="distribution/greenstone3/greenstone3-build.xml"/>
-	</target>
-
-
 </project>
Index: release-kits/mark3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-installer.xml	(revision 17833)
+++ release-kits/mark3/ant-scripts/create-installer.xml	(revision 17898)
@@ -13,5 +13,5 @@
 
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset file="${basedir}/distribution/greenstone3/LICENSE.txt" /> 
+			<fileset file="${basedir}/distributions/web/LICENSE.txt" /> 
 		</copy>
 