Index: /release-kits/mark3/ant-scripts/compile.xml
===================================================================
--- /release-kits/mark3/ant-scripts/compile.xml	(revision 17931)
+++ /release-kits/mark3/ant-scripts/compile.xml	(revision 17932)
@@ -72,11 +72,12 @@
 	<target name="prepare-documentation">
 		<mkdir dir="compiled/gsdl-manuals"/>
-		<svn javahl="false">
+		<svn>
 			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="compiled/gsdl-manuals/manuals"/>
 			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="compiled/gsdl-manuals/shared"/>
 		</svn>
-		<javac srcdir="compiled/gsdl-manuals/shared"
-		      destdir="compiled/gsdl-manuals/shared"
-		      debug="on">
+		<javac
+				srcdir="compiled/gsdl-manuals/shared"
+				destdir="compiled/gsdl-manuals/shared"
+				debug="on">
 			<include name="*.java"/>
 		</javac>
@@ -106,2 +107,3 @@
 </project>
 
+
Index: /release-kits/shared/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/ant-scripts/init.xml	(revision 17931)
+++ /release-kits/shared/ant-scripts/init.xml	(revision 17932)
@@ -308,5 +308,6 @@
 		
 		<!-- put the concrete values of things in the config -->
-		<rsr file="${basedir}/installer/antinstall-config.xml">
+		<rsr>
+			<fileset dir="${basedir}/installer" includes="*.xml"/>
 			<job pattern="@version@" replacement="${version}"/>
 			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
@@ -317,8 +318,4 @@
 			<job pattern="@component.size.imagemagick@" replacement="${component.size.imagemagick}"/>
 			<job pattern="@component.size.ghostscript@" replacement="${component.size.ghostscript}"/>
-		</rsr>
-
-		<rsr file="${basedir}/installer/build.xml">
-			<job pattern="@version@" replacement="${version}"/>
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
 			<job pattern="@windows-java.extracted@" replacement="${windows-java.extracted}"/>
@@ -327,7 +324,6 @@
 
 		<!-- put the concrete values of things in the text -->
-
-		<!-- default -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack.properties">
+		<rsr>
+			<fileset dir="${basedir}/installer/classes/resources" includes="*.properties"/>
 			<job pattern="@version@" replacement="${version}"/>
 			<job pattern="@version.major@" replacement="${version.major}"/>
@@ -341,83 +337,4 @@
 		</rsr>
 
-		<!-- es -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_es.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-		<!-- es_EU -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_es_EU.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-		<!-- de -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_de.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-		<!-- fr -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_fr.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-		
-		<!-- ru -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_ru.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-		<!-- zh -->
-		<rsr file="${basedir}/installer/classes/resources/LanguagePack_zh.properties">
-			<job pattern="@version@" replacement="${version}"/>
-			<job pattern="@version.major@" replacement="${version.major}"/>
-			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
-			<job pattern="@bundled.version.imagemagick@" replacement="${bundled.version.imagemagick}"/>
-			<job pattern="@bundled.version.ghostscript@" replacement="${bundled.version.ghostscript}"/>
-			<job pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
-			<job pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
-			<job pattern="@bundled.version.windows-java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@bundled.version.linux-java@" replacement="${bundled.version.linux-java}"/>
-		</rsr>
-
-
 	</target>
 
Index: /release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17931)
+++ /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17932)
@@ -55,5 +55,5 @@
 		<echo level="info">Dropping gsdl docs  into distribution</echo>
 		<copy todir="${basedir}/distributions/web" overwrite="true">
-			<fileset dir="${wirk2.home}/greenstone2/docs"/>
+			<fileset dir="${wirk2.home}/greenstone2/docs" includes="*.txt"/>
 		</copy>
 	</target>