Index: gli/trunk/client-gli.sh
===================================================================
--- gli/trunk/client-gli.sh	(revision 17945)
+++ gli/trunk/client-gli.sh	(revision 17946)
@@ -29,5 +29,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la $PROGNAME NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -35,15 +35,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "$PROGABBR est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "$PROGNAME Librarian Interface ($PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "$PROGABBR comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: gli/trunk/gems.sh
===================================================================
--- gli/trunk/gems.sh	(revision 17945)
+++ gli/trunk/gems.sh	(revision 17946)
@@ -75,5 +75,5 @@
 if [ "$glilang" = "es" ]; then
     echo "$PROGNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "GEMS NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -81,15 +81,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "$PROGNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "GEMS est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "$PROGNAME ($PROGNAME_EN - $PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "$PROGNAME ($PROGABBR)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "GEMS comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: gli/trunk/makegli.sh
===================================================================
--- gli/trunk/makegli.sh	(revision 17945)
+++ gli/trunk/makegli.sh	(revision 17946)
@@ -5,5 +5,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"