Index: release-kits/shared/language-strings/LanguagePack_fr.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_fr.properties	(revision 17954)
+++ release-kits/shared/language-strings/LanguagePack_fr.properties	(revision 17955)
@@ -1,5 +1,5 @@
 ### Language page ###
 page.language-selector.displayText = Langue
-language-selector-explanation.displayText = Veuillez sÃ©lectionner la langue de lâinstallation (Note: Cet installeur nâa pas encore Ã©tÃ© totalement traduit dans toutes ces langues pour lâinstant).
+language-selector-explanation.displayText = Veuillez sÃ©lectionner la langue de lâinstallation.
 
 
@@ -13,5 +13,5 @@
 
 ### Destination page ###
-page.destination.displayText = RÃ©pertoire d'Installation 
+page.destination.displayText = RÃ©pertoire d'installation 
 installDir.displayText = Veuillez sÃ©lectionner un rÃ©pertoire d'installation
 
@@ -19,5 +19,5 @@
 ### InstallShield install detected page ###
 page.dontBudge.displayText = Ancienne version dÃ©tectÃ©e
-is-install-detected.displayText = Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas continuer dans le rÃ©pertoire sÃ©lectionnÃ© pour l'installation.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis redÃ©marrez cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
+is-install-detected.displayText = Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans le rÃ©pertoire sÃ©lectionnÃ©.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis redÃ©marrez cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
 
 
@@ -40,5 +40,5 @@
 Installing_Source_Code_Core.explanatoryText = \
 <html> \
-Ceci est le code source du noyau de Greenstone@version.major@. Ce composant inclue tout les fichiers accompagnant le code source gÃ©nÃ©ral. \
+Ceci est le code source du noyau de Greenstone@version.major@. Ce composant inclue tous les fichiers accompagnant le code source gÃ©nÃ©ral. \
 </html>
 
@@ -56,5 +56,5 @@
 La version d'ImageMagick inclue dans cet installeur ajoute le support du format d'image JPEG2000.<br> \
 Si vous avez ImageMagick dÃ©jÃ  installÃ© sur votre ordinateur,<br> \
-ou si vous ne souhaitez pas inclure d'images dans vos collections Greenstone,<br> \
+ou si vous ne souhaitez pas inclure d'image dans vos collections Greenstone,<br> \
 alors vous pouvez choisir de ne pas installer ImageMagick. \
 </html>
@@ -83,5 +83,5 @@
 <html> \
 Greenstone3 nÃ©cessite Apache Ant pour dÃ©marrer ou arrÃªter le serveur web Tomcat, pour recompiler <br> \
-le code source, et pour rÃ©aliser quelques tÃ¢ches de maintainance. Si Ant est dÃ©jÃ  installÃ©, <br> \
+le code source, et pour rÃ©aliser quelques tÃ¢ches de maintenance. Si Ant est dÃ©jÃ  installÃ©, <br> \
 vous pouvez alors choisir de ne pas installer ce composant. \
 </html>
@@ -98,5 +98,5 @@
 tomcat.server.displayText = Nom du Serveur Tomcat
 tomcat-server.explanatoryText = Veuillez entrer le nom du serveur sur lequel la bibliothÃšque sera hÃ©bergÃ©e. Si vous ne le connaissez pas, alors laissez le nom par dÃ©faut (localhost).
-tomcat.port.explanatoryText = Veuillez choisir les ports que Tomcat devra utiliser. Il est gÃ©nÃ©ralement recommandÃ© laisser les valeurs par dÃ©faut. Si vous avez dÃ©jÃ  des services qui utilises ces ports, veuillez alors en choisir des libres.
+tomcat.port.explanatoryText = Veuillez choisir les ports que Tomcat devra utiliser. Il est gÃ©nÃ©ralement recommandÃ© de laisser les valeurs par dÃ©faut. Si vous avez dÃ©jÃ  des services qui utilisent ces ports, veuillez alors en choisir des libres.
 tomcat.port.displayText = Port d'Ã©coute
 tomcat.shutdown.port.displayText = Port de fermeture
@@ -124,5 +124,5 @@
 uninstaller.keep.collections = Garder les Collections
 uninstaller.are.you.sure = Etes vous certain(e) de vouloir Greenstone ?
-uninstaller.are.you.sure.collections = Vous avez choisis de dÃ©sinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
+uninstaller.are.you.sure.collections = Vous avez choisi de dÃ©sinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
 uninstaller.failed.to.figure.cd = Le rÃ©pertoire courant n'a pas Ã©tÃ© dÃ©tectÃ©
 uninstaller.cancelled = DÃ©sinstallation annulÃ©e
@@ -144,8 +144,8 @@
 dirNotExist = Ce rÃ©pertoire n'existe pas
 fileNotExist = Ce fichier n'existe pas 
-dirNotCreated = Ce rÃ©pertoire ne peut pas Ãªtre crÃ©Ã© a cet emplacement
+dirNotCreated = Ce rÃ©pertoire ne peut pas Ãªtre crÃ©Ã© Ã  cet emplacement
 canNotCreateFile = Impossible de crÃ©er le fichier
 appRootInvalid = Ce rÃ©pertoire n'est pas la racine de cette application
-selectFile = SÃ©lectionnez ce fichier
+selectFile = SÃ©lectionner ce fichier
 selectFolder = SÃ©lectionner ce rÃ©pertoire
 browseDotDotDot = Parcourir...