Index: release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/lirk2/ant-scripts/create-components.xml	(revision 17956)
@@ -17,5 +17,4 @@
 		<antcall target="prepare-sourcecode-component" />
 
-		<antcall target="prepare-source-release" />
 	</target>
 
@@ -24,7 +23,5 @@
 		<antcall target="compress-imagemagick-component" />
 
-		<!--<antcall target="compress-sourcecode-component" />-->
-
-		<antcall target="compress-source-release" />
+		<antcall target="compress-zipped-binary-release" /> <!-- from init -->
 	</target>
 
@@ -74,5 +71,7 @@
 		</copy>
 				
-		<zip destfile="components/Greenstone-${version}-linux-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+		<mkdir dir="products"/>
+		<tar destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz" basedir="components/tmp/sourcecode" compress="true"/>
+
 	</target>
 		
@@ -100,8 +99,3 @@
 	</target>
 
-	<target name="compress-source-release">
-		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
-	</target>
-
-
 </project>
Index: release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17956)
@@ -11,8 +11,6 @@
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="drop-in-demo-collection" />
-		<antcall target="insert-export-to-cd-package"/>	<!-- from rk2-targets -->
+		<antcall target="insert-export-to-cd-package"><param name="gsdl.home" value="distributions/web"/><!-- from rk2-targets -->
 		<antcall target="remove-unneeded-files-1" />
-
-		<antcall target="copy-web-to-source" /> <!-- from init -->
 
 		<antcall target="drop-in-binaries" />
@@ -53,8 +51,4 @@
 		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
 		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
-
-		<!-- Support.htm -->
-		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*Greenstone Digital Library version: ).*(&lt;br&gt;.*)" replacement="$1${version}$2"/>
-		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*&lt;input.* name=&quot;gsdl version&quot;.* value=&quot;).*(&quot;.*&gt;)" replacement="$1${version}$2"/>
 
 	</target>
Index: release-kits/lirk3/ant-scripts/create-components.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/lirk3/ant-scripts/create-components.xml	(revision 17956)
@@ -18,6 +18,4 @@
 
 		<antcall target="prepare-sourcecode-component" />
-
-		<antcall target="prepare-source-release" />
 	</target>
 
@@ -28,7 +26,6 @@
 		<antcall target="compress-imagemagick-component" />
 
-		<!--<antcall target="compress-sourcecode-component" />-->
+		<antcall target="compress-zipped-binary-release" /> <!-- from init -->
 
-		<antcall target="compress-source-release" />
 	</target>
 
@@ -85,6 +82,8 @@
 				</fileset>
 		</copy>
-				
-		<zip destfile="components/Greenstone-${version}-linux-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+
+		<mkdir dir="products"/>
+		<tar destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz" basedir="components/tmp/sourcecode" compress="true"/>
+
 	</target>
 		
@@ -150,8 +149,4 @@
 	</target>
 
-	<target name="compress-source-release">
-		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
-	</target>
-
 
 </project>
Index: release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 17956)
@@ -11,5 +11,4 @@
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk3-targets -->
 
-		<antcall target="copy-web-to-source" /> <!-- from init -->
 
 		<ant antfile="${lirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" target="create-distribution-1" inheritAll="false">
Index: release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/mark2/ant-scripts/create-components.xml	(revision 17956)
@@ -18,5 +18,4 @@
 		<antcall target="prepare-sourcecode-component" />
 
-		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -26,7 +25,5 @@
 		<antcall target="compress-ghostscript-component" />
 
-		<!--<antcall target="compress-sourcecode-component" />-->
-
-		<antcall target="compress-source-release" />
+		<antcall target="compress-zipped-binary-release" /> <!-- from init -->
 	</target>
 
@@ -87,6 +84,6 @@
 		</copy>
 				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
-		<zip destfile="components/Greenstone-${version}-MacOS-${processor}-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+		<mkdir dir="products"/>
+		<tar destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz" basedir="components/tmp/sourcecode" compress="true"/>
 	</target>
 
@@ -133,8 +130,3 @@
 	</target>
 
-	<target name="compress-source-release">
-		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
-	</target>
-
-
 </project>
Index: release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17956)
@@ -11,6 +11,4 @@
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk2-targets -->
 		<antcall target="remove-unneeded-files-1" />
-
-		<antcall target="copy-web-to-source" /> <!-- from init -->
 
 		<antcall target="drop-in-binaries" />
@@ -107,8 +105,4 @@
 		<rsr file="${basedir}/distributions/web/READMEen.txt" pattern="^(Version\s*)(.*)" replacement="$1${version}" />
 
-		<!-- Support.htm -->
-		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*Greenstone Digital Library version: ).*(&lt;br&gt;.*)" replacement="$1${version}$2"/>
-		<rsr file="${basedir}/distributions/web/Support.htm" pattern="^(\s*&lt;input.* name=&quot;gsdl version&quot;.* value=&quot;).*(&quot;.*&gt;)" replacement="$1${version}$2"/>
-
 	</target>
 
Index: release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/mark3/ant-scripts/create-components.xml	(revision 17956)
@@ -20,5 +20,4 @@
 		<antcall target="prepare-sourcecode-component" />
 
-		<antcall target="prepare-source-release" />
 	</target>
 
@@ -30,7 +29,6 @@
 		<antcall target="compress-ghostscript-component" />
 
-		<!--<antcall target="compress-sourcecode-component" />-->
+		<antcall target="compress-zipped-binary-release" /> <!-- from init -->
 
-		<antcall target="compress-source-release" />
 	</target>
 
@@ -93,6 +91,6 @@
 		</copy>
 				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
-		<zip destfile="components/Greenstone-${version}-MacOS-${processor}-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+		<mkdir dir="products"/>
+		<tar destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.tar.gz" basedir="components/tmp/sourcecode" compress="true"/>
 	</target>
 		
@@ -177,7 +175,3 @@
 	</target>
 
-	<target name="compress-source-release">
-		<sevenzip task="encode" input="components/source-release.comp" output="components/source-release.lzma" dictionnary="26"/>
-	</target>
-
 </project>
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17956)
@@ -10,6 +10,4 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-uninstaller"><param name="script-format" value="sh"/></antcall> <!-- from rk3-targets -->
-
-		<antcall target="copy-web-to-source" /> <!-- from init -->
 
 		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">
Index: release-kits/wirk2/ant-scripts/create-components.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/wirk2/ant-scripts/create-components.xml	(revision 17956)
@@ -18,5 +18,4 @@
 		<antcall target="prepare-sourcecode-component" />
 
-		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -26,5 +25,5 @@
 		<antcall target="compress-ghostscript-component" />
 
-		<antcall target="compress-source-release" />
+		<antcall target="compress-zipped-binary-release"><param name="format" value="zip"/></antcall> <!-- from init -->
 
 	</target>
@@ -120,12 +119,7 @@
 		</copy>
 				
-		<!--<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />-->
-		<zip destfile="components/Greenstone-${version}-win32-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+		<mkdir dir="products"/>
+		<zip destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.zip" basedir="components/tmp/sourcecode" compress="true"/>
 	</target>
 		
-	<target name="compress-source-release">
-		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 source-release.lzma source-release.comp"/></exec>
-	</target>
-
-
 </project>
Index: release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17956)
@@ -13,6 +13,4 @@
 		<antcall target="dist-unzip-packages"/>
 		
-		<antcall target="copy-web-to-source" /> <!-- from init -->
-	
 		<antcall target="drop-in-binaries" />
 		<antcall target="drop-in-demo-collection" />
Index: release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-components.xml	(revision 17955)
+++ release-kits/wirk3/ant-scripts/create-components.xml	(revision 17956)
@@ -20,5 +20,4 @@
 		<antcall target="prepare-sourcecode-component" />
 
-		<antcall target="prepare-source-release" />
 	</target>
 	
@@ -30,7 +29,5 @@
 		<antcall target="compress-tomcat-component" />
 
-		<!--<antcall target="compress-sourcecode-component" />-->
-
-		<antcall target="compress-source-release" />
+		<antcall target="compress-zipped-binary-release"><param name="format" value="zip"/></antcall> <!-- from init -->
 
 	</target>
@@ -131,7 +128,7 @@
 				</fileset>
 		</copy>
-				
-		<zip destfile="components/sourcecode.comp" basedir="components/tmp/sourcecode" compress="false" />
-		<zip destfile="components/Greenstone-${version}-win32-sourcecode.zip"  basedir="components/tmp/sourcecode" compress="true"/>
+
+		<mkdir dir="products"/>
+		<zip destfile="products/Greenstone-${version}-${os.suffix}-sourcecode-component.zip" basedir="components/tmp/sourcecode" compress="true"/>
 	</target>
 		
@@ -173,7 +170,3 @@
 	</target>	
 
-	<target name="compress-source-release">
-		<exec executable="7z.exe" dir="components"><arg line="a -t7z -mx=9 source-release.lzma source-release.comp"/></exec>
-	</target>
-	
 </project>
Index: release-kits/wirk3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17955)
+++ release-kits/wirk3/ant-scripts/create-distribution.xml	(revision 17956)
@@ -10,6 +10,4 @@
 		<antcall target="insert-user-manual"/>
 		<antcall target="insert-uninstaller"><param name="script-format" value="bat"/></antcall> <!-- from rk3-targets -->
-
-		<antcall target="copy-web-to-source" /> <!-- from gs3-targets -->
 
 		<ant target="create-distribution-1" antfile="${wirk3.home}/ant-scripts/operations-on-gs3home.xml" dir="distributions/web" inheritAll="false">