Index: /release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17957)
+++ /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 17958)
@@ -4,5 +4,5 @@
 	<target name="create-distribution">
 
-		<antcall target="export-gsdl-gli" />
+		<antcall target="export-gsdl-gli"><param name="dest" value="distributions/web"/></antcall>
 		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/web"/></antcall>
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
@@ -19,13 +19,4 @@
 		<antcall target="remove-unneeded-files-2" />
 
-	</target>
-
-	<target name="export-gsdl-gli">
-		<mkdir dir="distributions"/>
-		<delete dir="distributions/web"/>
-		<svn>
-			<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="distributions/web"/>
-			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
-		</svn>
 	</target>
 
Index: /release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17957)
+++ /release-kits/mark2/ant-scripts/create-distribution.xml	(revision 17958)
@@ -4,5 +4,5 @@
 	<target name="create-distribution">
 
-		<antcall target="export-gsdl-gli" />
+		<antcall target="export-gsdl-gli"><param name="dest" value="distributions/web"/></antcall>
 		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/web"/></antcall>
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
@@ -20,13 +20,4 @@
 		<antcall target="remove-unneeded-files-2" />
 
-	</target>
-
-	<target name="export-gsdl-gli">
-		<mkdir dir="distributions"/>
-		<delete dir="distributions/web"/>
-		<svn javahl="false">
-			<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="distributions/web"/>
-			<export srcurl="${svn.root}/gli/${branch.path}" destPath="distributions/web/gli"/>
-		</svn>
 	</target>
 
Index: /release-kits/shared/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/ant-scripts/init.xml	(revision 17957)
+++ /release-kits/shared/ant-scripts/init.xml	(revision 17958)
@@ -395,11 +395,3 @@
 	</target>
 
-	<target name="export-gsdl-gli">
-		<delete dir="${dest}"/>
-		<svn>
-			<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="${dest}"/>
-			<export srcurl="${svn.root}/gli/${branch.path}" destPath="${dest}/gli"/>
-		</svn>
-	</target>
-
 </project>
Index: /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 17957)
+++ /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 17958)
@@ -11,4 +11,12 @@
 
 	<property name="version.major" value="2"/>
+
+	<target name="export-gsdl-gli">
+		<delete dir="${dest}"/>
+		<svn>
+			<export srcurl="${svn.root}/gsdl/${branch.path}" destPath="${dest}"/>
+			<export srcurl="${svn.root}/gli/${branch.path}" destPath="${dest}/gli"/>
+		</svn>
+	</target>
 
 	<target name="gsdl-set-version-numbers">
Index: /release-kits/wirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17957)
+++ /release-kits/wirk2/ant-scripts/create-distribution.xml	(revision 17958)
@@ -4,5 +4,5 @@
 	<target name="create-distribution">
 
-		<antcall target="export-gsdl-gli" />
+		<antcall target="export-gsdl-gli"><param name="dest" value="distributions/web"/></antcall>
 		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/web"/></antcall>
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/web/gli"/></antcall>
@@ -21,13 +21,4 @@
 	</target>
 
-	<target name="export-gsdl-gli">
-		<mkdir dir="distributions"/>
-		<delete dir="distributions/web"/>
-		<svn>
-			<export srcurl="${svn.root}/gsdl/${branch.path}"		destPath="distributions/web"/>
-			<export srcurl="${svn.root}/gli/${branch.path}"			destPath="distributions/web/gli"/>
-		</svn>
-	</target>
-
 	<target name="drop-in-binaries">
 		<echo level="info">Dropping compiled binaries into distribution</echo>
@@ -39,5 +30,5 @@
 		
 		<echo level="info">Dropping LuceneWrapper.jar in place</echo>
-		<copy file="${basedir}/gsdl/bin/java/LuceneWrapper.jar" todir="${basedir}/distributions/web/bin/java" />
+		<copy file="${basedir}/compiled/bin/java/LuceneWrapper.jar" todir="${basedir}/distributions/web/bin/java" />
 	</target>
 