Index: /release-kits/lirk2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-components.xml	(revision 18004)
+++ /release-kits/lirk2/ant-scripts/create-components.xml	(revision 18005)
@@ -38,5 +38,5 @@
 				<include name="**/*"/>
 
-				<!-- exclude sourcecode + imagemagick -->
+				<!-- exclude sourcecode + imagemagick + build files -->
 				<exclude name="common-src"/>
 				<exclude name="common-src/**/*"/>
@@ -48,4 +48,13 @@
 				<exclude name="bin/linux/imagemagick/**/*"/>
 
+				<exclude name="acconfig.h"/>
+				<exclude name="aclocal.m4"/>
+				<exclude name="config.sub"/>
+				<exclude name="configtest.pl"/>
+				<exclude name="configure"/>
+				<exclude name="configure.in"/>
+				<exclude name="install-sh"/>
+				<exclude name="Makefile.in"/>
+				<exclude name="micotest.cpp"/>
 			</fileset>
 		</copy>
@@ -63,14 +72,12 @@
 		<mkdir dir="components/tmp/sourcecode"/>
 
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-			<fileset dir="distributions/web">
-				<include name="common-src/**/*"/>
-				<include name="runtime-src/**/*"/>
-				<include name="build-src/**/*"/>
-			</fileset>
-		</copy>
+		<exec dir="${basedir}" executable="cp">
+			<arg line="-r distributions/web/common-src distributions/web/build-src distributions/web/runtime-src components/tmp/sourcecode"/>
+		</exec>
+		<exec dir="distributions/web" executable="cp">
+			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp ${basedir}/components/tmp/sourcecode"/>
+		</exec>
 				
 		<mkdir dir="products"/>
-
 		<!-- create a script to create the tar -->
 		<echo output="create-sourcecode-component.sh">
Index: /release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18004)
+++ /release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 18005)
@@ -58,7 +58,6 @@
 		<exec dir="${basedir}" executable="cp"><arg line="-r compiled/bin/linux distributions/web/bin"/></exec>
 		<exec dir="${basedir}" executable="cp"><arg line="compiled/cgi-bin/library distributions/web/cgi-bin"/></exec>
-		<exec dir="${basedir}" executable="cp"><arg line="compiled/cgi-bin/oaiserver distributions/web/cgi-bin"/>
-</exec>
-<copy file="${basedir}/compiled/bin/java/LuceneWrapper.jar" todir="${basedir}/distributions/web/bin/java" />
+		<exec dir="${basedir}" executable="cp"><arg line="compiled/cgi-bin/oaiserver distributions/web/cgi-bin"/></exec>
+		<copy file="${basedir}/compiled/bin/java/LuceneWrapper.jar" todir="${basedir}/distributions/web/bin/java" />
 	</target>
 
Index: /release-kits/mark2/ant-scripts/create-components.xml
===================================================================
--- /release-kits/mark2/ant-scripts/create-components.xml	(revision 18004)
+++ /release-kits/mark2/ant-scripts/create-components.xml	(revision 18005)
@@ -49,5 +49,5 @@
 				<include name="**/*"/>
 
-				<!-- exclude sourcecode + imagemagick -->
+				<!-- exclude sourcecode + imagemagick + build files -->
 				<exclude name="common-src"/>
 				<exclude name="common-src/**/*"/>
@@ -60,4 +60,14 @@
 				<exclude name="bin/darwin/ghostscript"/>
 				<exclude name="bin/darwin/ghostscript/**/*"/>
+
+				<exclude name="acconfig.h"/>
+				<exclude name="aclocal.m4"/>
+				<exclude name="config.sub"/>
+				<exclude name="configtest.pl"/>
+				<exclude name="configure"/>
+				<exclude name="configure.in"/>
+				<exclude name="install-sh"/>
+				<exclude name="Makefile.in"/>
+				<exclude name="micotest.cpp"/>
 
 			</fileset>
@@ -76,11 +86,10 @@
 		<mkdir dir="components/tmp/sourcecode"/>
 
-		<copy todir="components/tmp/sourcecode" overwrite="true">
-			<fileset dir="distributions/web">
-				<include name="common-src/**/*"/>
-				<include name="runtime-src/**/*"/>
-				<include name="build-src/**/*"/>
-			</fileset>
-		</copy>
+		<exec dir="${basedir}" executable="cp">
+			<arg line="-r distributions/web/common-src distributions/web/build-src distributions/web/runtime-src components/tmp/sourcecode"/>
+		</exec>
+		<exec dir="distributions/web" executable="cp">
+			<arg line="acconfig.h aclocal.m4 config.guess config.sub configtest.pl configure configure.in install-sh Makefile.in micotest.cpp ${basedir}/components/tmp/sourcecode"/>
+		</exec>
 				
 		<mkdir dir="products"/>
Index: /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 18004)
+++ /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 18005)
@@ -51,5 +51,8 @@
 		<!-- delete loose files -->
 		<delete>
-			<fileset dir="${binzip.dir}" includes="README*.txt,Uninstall.sh,uninst.jar" excludes="READMEen.txt"/>
+			<fileset
+				dir="${binzip.dir}"
+				includes="README*.txt,Uninstall.sh,uninst.jar,acconfig.h,aclocal.m4,config.guess,config.sub,configtest.pl,configure,configure.in,install-sh,Makefile.in,micotest.cpp"
+				excludes="READMEen.txt"/>
 		</delete>
 
@@ -76,7 +79,5 @@
 				<include name="README*.txt"/>
 				<exclude name="READMEen.txt"/>
-				<include name="Uninstaller.bat"/>
-				<include name="uninst.bat"/>
-				<include name="uninst.jar"/>
+				<include name="Uninstaller.bat,uninst.bat,uninst.jar,win32.mak,win32cfg.h"/>
 			</fileset>
 		</delete>
@@ -84,2 +85,3 @@
 
 </project>
+	