Index: release-kits/shared/greenstone2/docs/READMEen.txt
===================================================================
--- release-kits/shared/greenstone2/docs/READMEen.txt	(revision 18011)
+++ release-kits/shared/greenstone2/docs/READMEen.txt	(revision 18013)
@@ -7,23 +7,59 @@
 
 License GNU General Public Licence (Version 2)
-        Full terms and conditions are in the file "COPYING" on this CD-ROM
+        Full terms and conditions are in the file "LICENSE.txt"
 
-Date    November 2007
+Date    December 2008
 
-Version 2.75
+Version 2s2008.12.01
 
-Documentation
-        Install.pdf     Greenstone Digital Library Installer's Guide
-        User.pdf        Greenstone Digital Library User's Guide
-        Develop.pdf     Greenstone Digital Library Developer's Guide
-        Paper.pdf       From paper to collection
+Contents: Programs
+        Greenstone library server  A cgi program to serve digital library collections
+        Greenstone oaiserver           A cgi program to serve collections using the OAI-PMH protocol.
+        Greenstone Librarian Interface (GLI)
+                                   A graphical tool for collection building
+        Greenstone Editor for Metadata Sets (GEMS)
+                                   A graphical tool for creating and editing metadata sets used by GLI
+                
+Contents: Directory Structure
+        bin					Executable code
+        cgi-bin				CGI scripts
+        collect				Collections
+        etc					Configuration files, log files, user databases etc
+        gli					Librarian Interface
+        images				Images and CSS files used by the interface
+        macros				Display macros
+        mappings			Unicode translation tables
+        perllib				Perl modules used for collection building
+        
+        If source code is present (from a source release or by adding the source component):
+        common-src   Source code and packages used when building collections and at runtime
+        build-src    Source code and packages only used when building collections
+        runtime-src  Source code and packages only used at runtime
 
-Additional Utilities
-        Librarian Interface     A graphical tool for collection building using
-                                Greenstone (requires version 1.4 of the Java
-                                Runtime Environment, included on this CD-ROM)
+Additional Packages
+           TODO java, image magick, perl, ...
+
+		   Documentation and Support
+        Greenstone Website:
+                   http://www.greenstone.org
+                   Greenstone's main website.
+        Greenstone Wiki: 
+                   http://wiki.greenstone.org
+                   Contains documentation, and links to manuals, tutorials etc...
+        Greenstone Mailing List:
+                   https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users (to subscribe)
+                   greenstone-users@list.scms.waikato.ac.nz (to post)
+        New Zealand Digital Library: 
+                   http://www.nzdl.org
+                   A demonstration site containing lots of collections
+
 
 Platform
-        Unix and Windows.  Binaries and source code are included.
+        Greenstone runs on Unix, Windows 2000/XP/2003/Vista/2008 and Mac OS 10.5.2 (Leopard).
+        
+        
+        The Greenstone Librarian Interface requires version 1.4 or later 
+        of the Java Runtime Environment. Java 1.6 is included in the binary 
+        release of Greenstone.
 
         The Greenstone user interface uses a Web browser capable of Javascript,
@@ -32,10 +68,13 @@
                 Netscape Navigator 4.0
                 Internet Explorer 4.0
-                Mozilla, Safari
+                Mozilla
+				Safari
 
-        More recent versions of these browsers should also work.
+        More recent versions of these browsers should also work (recommended).
 
 
-Unix    Source code has been compiled and tested on Linux and Solaris.
+		
+Unix    
+Source code has been compiled and tested on Linux and Solaris.
         Binary code requires an Intel x86-based Linux distribution which
         includes ELF binary support and supports the GNU C library (glibc 2.0
@@ -48,146 +87,34 @@
 
         More recent versions of these distributions should also work. 
+		
+		We have tested Greenstone 2 on the following distributions:
+				Ubuntu 8.04 & 8.10
+				Mandriva 2008 Spring
+				OpenSUSE 11
+				Fedora 6 & 9
+				CentOS 5.2
 
-Windows Source code has been compiled with Microsoft Visual C++ 4.2 and 6.0
-        Binary code has been tested on Windows 3.1, 95/98, NT, 2000, XP
-        Restriction:
-                The building process requires PERL, and so collections cannot
-                be built under Windows 3.1
+Windows 
+Source code can be compiled with Microsoft Visual C++ 6.0, 7 (VS 2003.Net), 
+8 (VS 2005 Pro or VC++ Express 2005 with Microsoft Platform SDK 2003 R2).
 
-Install Install.pdf describes the complete installation procedure for both Unix
-        and Windows, and includes tutorial information about configuring
-        Greenstone and configuring the Apache, PWS and IIS Web Servers
-        appropriately.
+        Binary code has been tested on 32 bits version of:
+				Windows 2000
+				Windows XP
+				Windows Server 2003
+				Windows Vista
+				Windows Server 2008
 
-        Self-explanatory install scripts are provided for both Unix and
-        Windows, which take you step by step through the installation procedure
-        and provide appropriate options at each stage.
+        Greenstone software (version 2.81 and later) no longer runs on 
+				Windows 3.1
+				Windows 95
+				Windows 98
+				Windows Me
+				Windows NT
 
-                Windows 9x/NT/2000/XP installation:   execute setup.exe
-                Unix installation:                    execute setupLinux.bin
+Mac
+Source code has been compiled with Xcode 3.1 on Intel Mac OS 10.5.2.
+Binary has been tested on Intel Mac OS 10.5.2 (Leopard).
 
-        Uninstall scripts are provided which clean up should installation fail.
-
-Support Please report any problems installing or running the Greenstone Digital
-        Library Software using the bug report form provided as Support.htm in
-        the top level directory of this CD-ROM.
-
-        There is a Greenstone mailing list that you can join at
-        http://greenstone.org/english/docs.html. Both this page and the faq list
-        at this site point to a lot of helpful information.
-
-Contents of this CD-ROM
-
-        README.TXT  This document
-
-        COPYING     Gives the conditions under which this software can be
-                    copied
-
-        Support.htm Form for reporting problems installing or running
-                    Greenstone 
-
-        setup.exe   Windows self-install program (includes
-                    option to install binaries or source) 
-
-        setupLinux.bin   Linux self-install program (includes
-                    option to install binaries or source) 
-
-
-        docs        Documentation, including the following:
-
-                        Install.pdf     Installer's Guide
-                                        Describes the installation procedure
-                                        for both Unix and Windows, and includes
-                                        tutorial information about configuring
-                                        Greenstone and the Apache Web Server.
-
-                        User.pdf        User's Guide
-                                        Provides a comprehensive description of
-                                        how to use the Greenstone software for
-                                        accessing and building collections.
-
-                        Develop.pdf     Developer's Guide 
-                                        This manual describes how Greenstone
-                                        works.  It is aimed at those who wish
-                                        to customize collections and to develop
-                                        and maintain the software.
-
-                        Paper.pdf       From Paper to Collection
-                                        This manual gives practical information
-                                        on creating digitized collections from
-                                        full text documents.
-
-        Unix        Unix version, including Linux binaries
-
-                    The top-level files and directories are:
-
-                        Install.sh      Unix installation shell script (if run
-                                        on Linux, includes option to install
-                                        binaries; otherwise installs source) 
-                        bin             Linux binaries
-
-        Windows     Windows binaries
-
-                    The top-level files and directories are:
-
-                        bin             Windows binaries
-
-        gsdl        Greenstone digital library software directory structure.
-                    This mirrors the Greenstone digital library directory
-                    structure that will be installed.
-
-                        bin             Executable code
-                        cgi-bin         CGI scripts
-                        collect         Greenstone collections
-                                        (includes Demo collection, pre-built
-                                        indexes and source documents)
-                        etc             Configuration files, logs, etc
-                        gli             Greenstone Librarian Interface tool
-                        images          Images used by interface
-                        macros          Display macros
-                        perllib         Perl modules used when building
-                        mappings        Unicode translation tables
-
-                    The installation procedure installs files into some of
-                    these directories as follows:
-
-                        top level       Batch file or shell script
-                        bin             Executable code
-                        cgi-bin         CGI scripts
-                        collect         The Greenstone Demo collection
-                                        Additional collections as specified at
-                                        install time
-                        src, lib, packages
-                                        Source code if specified at install
-                                        time 
-
-        collect     Greenstone collections (prebuilt) - note that although
-                    the install procedure only installs the prebuilt indexes,
-                    the original source documents for each collection are
-                    available on the CD-ROM. The source documents may be 
-                    useful for those attempting to create new collections
-                    which copy the format of these collections.
-
-                        demo            Greenstone demo
-                        dls-e           Development Library Subset collection
-                        wrdpdf-e        MSWord and PDF demonstration
-                        gsarch-e        Greenstone Archives collection
-                        cltbib-e        Bibliography collection
-                        cltext-e        Bibliography supplement
-                        MARC-e          MARC example
-                        oai-e           OAI demo
-                        image-e         Simple image collection
-			pagedimg-e	Paged image collection
-                        authen-e        Formatting and authentication demo
-                        garish          Garish version of demo collection
-			style-e		CSS demo collection
-                        isis-e          CDS/ISIS example
-
-        src         Program source files
-
-                        Windows         Configuration information for Windows
-                        Unix            Configuration information for Unix
-                        lib             C++ library code
-                        packages        C++ source code for packages used by
-                                        Greenstone 
-                        src             C++ source code
+However the source code can be compiled with other versions of Mac OS and Xcode,
+in that case please download Imagemagick and Ghostscript to recompile them from source.